Winamp 5.666
* Melhorado: Adicionado botão Resetar para limpar histórico ao Abrir URL
* Melhorado: Adicionado opção para desativar mudança de volume via roda do mouse
* Melhorado: Adicionado mais linhas de comando (digite: winamp.exe /? para lista completa)
* Melhorado: Todos os menus no estilo da skin quando a opção está ativada nas configurações da BM
* Melhorado: Desativado todos serviços online quando não há conexão a internet configurada
* Melhorado: High DPI & correções de compatibilidade do dimensionamento do texto diálogos & visualizadores
* Melhorado: Aumento das dicas na área de notificação para até 128 caracteres (ao invés de 64)
* Melhorado: Botões 'Reproduzir' e 'Enfileirar' agrupados nos visualizadores da biblioteca
* Melhorado: Editor de metadados em massa agora disponível no Editor de Playlist
* Melhorado: Repetir aviso de UAC se o usuário seleciona "Não" (nas configurações relevantes)
* Melhorado: Processo de encerramento do Winamp mais rápido
* Melhorado: [gen_ff] Adicionado configuração de controle tempo (mostrar/esconder) acoplado na barra
* Melhorado: [gen_ml] Ajustes de manipulação arrastar & soltar
* Melhorado: [ml_downloads] Adicionado coluna 'Tamanho'
* Melhorado: [ml_history] Novas opções reprodução continuada (para podcasts ou todos arquivos)
* Melhorado: [ml_history] Adicionado coluna 'Reproduzir Offset' com opção clique direito para limpar
* Melhorado: [ml_local] Adicionado campos Podcast, BPM & Classificação no editor de metadados Ctrl+E
* Melhorado: [ml_playlists] Opção de usar arquivo de origem ao invés da cópia gerada do banco de dados
* Melhorado: [ml_nowplaying/wire] Adicionado suporte ao uso de serviços alternativos
* Melhorado: [ml_playlists] Opção para usar arquivo de origem ao invés da copia gerada pelo banco de dados
* Melhorado: [ml_pmp] Adicionado um visualizador simples para coincidir com o suporte da biblioteca Local
* Melhorado: [pmp_android/usb] Adicionado suporte <disc> na formatação do nome do arquivo
* Corrigido: Agente não usando a janela Winamp se o clone já está sendo executado (ex.: KMPlayer)
* Corrigido: Retorno problema com pacotes de idiomas quando carregam tabela de atalhos
* Corrigido: O comprimento não sendo lido quando definido para ler títulos ao carregar
* Corrigido: Classificações congelada ao clicar direito numa grande seleção de mídias no Editor de Playlist
* Corrigido: Salvando para extensão errada via 'Salvar como' na aba capa do álbum Alt+3
* Corrigido: Caracteres Unicode não sendo exibido na barra de tarefas quando há plugins antigos
* Corrigido: Vários problemas com aero-peek e aclopagem de skins como appbar
* Corrigido: [gen_ff] Acoplagem na parte inferior/direita quando a escala da janela é menor que 1.0
* Corrigido: [gen_jumpex] Item do menu 'Adicionar Mídia a Biblioteca' quebrado
* Corrigido: [gen_jumpex] Janela 'Saltar para arquivo' nem sempre visíveis quando se pressiona 'J' ou 'F3'
* Corrigido: [gen_tray] Problemas de travamento/duplo inicio ao usar a ação 'faixa anterior'
* Corrigido: [in_flac] Removido capa do álbum embutida
* Corrigido: [in_midi] Travamento de memoria na comparação de arquivo .kal corrompido
* Corrigido: [libmp4v2] Travamento devido ponteiro de verificação invalido ao checar arquivos corrompidos
* Corrigido: [ml_local] Filtros de pesquisa com caracteres unicode não estão sendo gravados
* Corrigido: [ml_playlists] Remover caracteres inválidos do nome da playlist na exportação
* Corrigido: [pmp_android/usb] Crash com o caminho errado
* Corrigido: [pmp_android/usb] Usar nome do arquivo sem metadados disponíveis para gerar caminho do arquivo
* Misc: [installer] Adicionado a opção "Winamp (Modo de Segurança)" no menu iniciar
* Misc: Modificações, melhorias, correções e otimizações em geral (muitas delas!)
* Atualizado: [enc_fhgaac] Codificiador Fraunhofer AAC v3.02.16
* Atualizado: [enc/in_vorbis] libogg 1.3.1
* Atualizado: [gen_jumpex] JTFE v1.32
* Atualizado: [in_wave] libsndfile 1.0.25

Winamp 5.65	[24 Jul 2013]
* Melhorado: Otimizações na alocação de memória e correções
* Melhorado: [ml_playlists] Realçe da música em reprodução
* Corrigido: Alguns streams de rádio não reproduzia, devido correção no Icecast no v5.64
* Corrigido: Falha ao colar capa do álbum via Informações do Arquivo no v5.64
* Corrigido: [in_mp3] Renderização do quadro PIC nas tags ID3v2.2
* Corrigido: [gen_ml] Tecla Enter não funcionava corretamente nos visualiz. da bm
* Corrigido: [ml_local] Travamentos esporádicos ao importar biblioteca v5.64
* Corrigido: [ml_plg] 'Exibir sons similares à' quebrado no menu da rolagem de título
* Corrigido: [npwachk] Plugin Winamp Detectar não trabalha com última versão do Firefox
* Corrigido: [wasabi] Peculiaridades com manipulação da lista de cores temas
* Misc: Modificações, melhorias, correções e otimizações em geral
* Atualizado: [enc_fhgaac] Codificador Fraunhofer AAC v3.02.15
* Atualizado: [png] libpng v1.5.17
* Atualizado: [gen_jumpex] JTFE v1.2.7

Winamp 5.64	[19 Jun 2013]
* Novidade: Iniciar o Winamp em Modo de Segurança (linha de comando /SAFE=1)
* Novidade: Suporte a playlist XSPF
* Melhorado: Adicionado 'tooltips' em textos cortados na biblioteca de mídia
* Melhorado: Adicionado 'Explorar pasta' no contexto do menu de playlists
* Melhorado: Manuseio do menu Favoritos segue configuração Reproduzir/Enfileirar do Winamp
* Melhorado: Modo vsync D3D (deverá corrigir problemas relatados com vídeos)
* Melhorado: Info da origem da capa do álbum nas Informações do arquivo
* Melhorado: Lembrar última posição das janelas
* Melhorado: Mostrar classificação de tags se o arquivo não está na Biblioteca Local
* Melhorado: Uso de novo estilo de diálogo para explorar pasta
* Melhorado: Compatibilidade com associação de arquivos no Windows 8
* Melhorado: [gen_ff] Suporte de notificação das skins Bento/Modern em Multi-monitor
* Melhorado: [gen_ff] Modo multi-monitor/barra de tarefas compatível com Windows 8
* Melhorado: [in_flac] Suporte de streaming em FLAC
* Melhorado: [in_mp3] Suporte a capa do álbum no shoutcast v2 in-stream (e outras correções)
* Melhorado: [in_mp3] Uso de MIME para determinar decodificador antes de assumir ext. está correto
* Melhorado: [in_mp4] Suporte nativo a reprodução ALAC
* Melhorado: [in_mp4] Otimizado Leitor MP4 RAW usando blocos ao invés de amostras
* Melhorado: [in_mp4] Escrever classificações em tags (usando atom "rate")
* Melhorado: [ml_local/history] Mensagem amigavel de erro se nde/banco de dados falhar ao carregar
* Melhorado: [ml_local] Nova coluna 'Adicionada na Data' (visualizações inteligentes ajustadas em conformidade)
* Melhorado: [ml_playlists] Agora com suporte Gerar Playlist HTML
* Melhorado: [ml_playlists] Salvar playlists m3u em pasta personalizada, se especificada em paths.ini
* Melhorado: [ml_wire] Salvar (e backup) arquivos de banco de dados sobre atualizações ao invés de ao sair
* Melhorado: [pmp_ipod] Adicionado suporte aos metadados BPM, TotalTracks, Disc# & TotalDiscs
* Melhorado: [pmp_wifi] Suporte SSDP e outras otimizações
* Corrigido: Erro ao carregar o instalador em alguns Windows 8 (e anteriores) (obrigado Nanner)
* Corrigido: Não reproduz a primeira canção seguinte, ao limpar e em seguida adicionar itens à playlist
* Corrigido: Notificador da skin Bento/Modern que às vezes não aparecia (obrigado pjn123)
* Corrigido: Exclusão do byte 0 nos arquivos wdl*.tmp e wht*.tmp
* Corrigido: Problemas com a reincorporação de plugins vis na skin Bento ao sair da tela cheia
* Corrigido: Problemas com alguns servidores Icecast fornecendo links inválidos de transmissão (v2.x bug!)
* Corrigido: Potenciais Falhas ao rapidamente alternar entre plugins DSP
* Corrigido: [Bento Browser] Possíveis vulnerabilidades de segurança (obrigado Julien Ahrens, Inshell)
* Corrigido: [gen_jumpex] Possíveis vulnerabilidades de segurança (obrigado J. Ahrens, Inshell.net)
* Corrigido: [in_mp3] Mapeamento da escala de classificações POPM
* Corrigido: [in_mp4] Bug onde um pequeno buffer resultava em perda de dados
* Corrigido: [in_mp4] Procurando arquivo/podcasts que usam um único frame de video como capa do album
* Corrigido: [in_vorbis] Não lê Disc# (além de corrigir outros bugs Vorbis)
* Corrigido: [in_wave] Info mldb de arquivos .wav sendo eliminados ao fechar o diálogo Alt+3
* Corrigido: [ml_disc] Itens do contexto do menu bloqueados em Histórico & Favoritos da BM
* Corrigido: [ml_disc] Criação de arquivos 0-byte trk*.tmp & falha associada em alguns sistemas
* Corrigido: [ml_impex] Travamentos do UI  ao importar/exportar grandes bancos de dados
* Corrigido: [ml_wire] Subscrições de canais de podcast com o mesmo nome
* Corrigido: [ombrowser] Tecla Alt Gr quebradas em campos de texto dos Serviços Online
* Corrigido: [pmp_android] Travamentos relatados ao transferir arquivos ogg com Capa do álbum
* Corrigido: [pmp_android/usb] Falha na transferência se <Albumartist> contém caracteres inválidos
* Corrigido: [pmp_p4s] Trava ao sair depois da transferência de arquivos para dispositivios MTP/P4S
* Misc: Todos plugins padrão agora inclui descrição & versão em propriedades
* Misc: Modificações, melhorias, correções e otimizações em geral
* Removido: [gen_orgler] O fim de Winamp Charts & Banco de Dados de Uso de Música
* Atualizado: [libFLAC] FLAC 1.3.0
* Atualizado: [png] libpng v1.5.16
* Atualizado: [gen_jumpex] JTFE v1.2.6
* Atualizado: [zlib.dll] zlib 1.2.8

Winamp 5.63		[28 Jun 2012]
* Novidade: Instalador e Tradução em Húngaro e Indonésio
* Novidade: [enc_vorbis] Codificador Ogg Vorbis (baseado no aoTuV)
* Melhorado: Shift+F10 tecla de suporte na Biblioteca de Mídia
* Melhorado: [enc_fhgaac] Adicionado VBR mode 6, além de outras melhorias de qualidade
* Melhorado: [in_flac] Suporta a tag Produtor
* Melhorado: [in_mod] Reformulado, alocação de menoria multitarefa e simplificada
* Melhorado: [ml_history] Contador era salvo quando atualizado ao invés ao sair
* Melhorado: [ml_local] Aumento da consulta na busca por buffers de 512 ou 1024 para 2048 bites
* Melhorado: [gen_hotkeys] Adicionado avanço manual e visualizações de ações específicas
* Corrigido: Capa do album embutida não trabalhava em algumas situações
* Corrigido: Janela de vídeo reabrindo após ser fechada ao editar tags mp4
* Corrigido: [aacdec] Vazamento de memória ao re-sincronizar a transmissão AAC
* Corrigido: [bmp] Verificação de limites do decodificador TSCC
* Corrigido: [bmp] Heap overflow issues (obrigado: Secunia)
* Corrigido: [in_avi] Divisão por zero e questões de ponteiro nulo (obrigado: FuzzMyApp)
* Corrigido: [in_mod] .IT memory & heap corruption issues (obrigado: Jeremy Brown, MSVR)
* Corrigido: [ml_local] Travamento no cache MLDBAPI::SetField
* Corrigido: [pmp_android/usb] Gênero e Ano editados escrevendo no campo Disco#
* Corrigido: [vis_milk2] Presets não funcionavam em versões traduzidas (Milkdrop v2.25)
* Misc: Modificações, melhorias, correções e otimizações em geral
* Atualizado: [aacdec] Decodificador Fraunhofer AAC v1.762.208
* Atualizado: [in_vorbis] libogg 1.3.0 & libvorbis 1.3.3
* Atualizado: [lame_enc] LAME 3.99.5
* Atualizado: [png] libpng v1.5.10
* Atualizado: [vp8] libvpx v1.0.0
* Atualizado: [xml] expat v2.1.0
* Atualizado: [zlib.dll] zlib 1.2.7

Winamp 5.623	[9 Dez 2011]
* Corrigido: Erros de conversão no fim de arquivos mp3 (deve corrigir erros do gravador de CD)
* Corrigido: [aacdec] Detecção de estéreo paramétrico para arquivos AAC de conversores antigos
* Corrigido: [enc_fhgaac] Codificador MP4 nem sempre fechava com erros ou transferências abortadas
* Corrigido: [in_avi] Travava com arquivos AVI malformados
* Corrigido: [in_flac & in_mp4] Vazamentos de memoria
* Corrigido: [in_mod] Limites de verificação dos comentários em análise.
* Corrigido: [pmp] Multithreaded race condition (now supports thread-safe transfers)
* Corrigido: [pmp_android] Capa do álbum embutida era apagada nas tranferências
* Misc: Modificações, melhorias, correções e otimizações em geral
* Atualizado: [enc_fhgaac] Fraunhofer AAC Encoder v3.2.4
* Atualizado: [gen_jumpex] JTFE v1.2.5

Winamp 5.622	[26 Out 2011]
* Melhorado: [in_mp3] Suporte TXXX/Band como estrutura id3v2 alternativa para Interprete
* Corrigido: [bmp/in_avi] Vulnerabilidades nos decodificadores em TSCC, RGB & YUV (Integer overflow)
* Corrigido: [enc_fhgaac] Bug upsampling alta taxa de bits
* Corrigido: [in_midi] Encaixa de arquivos CMF quando o deslocamento da música é maior que o arquivo.
* Corrigido: [in_mod] Criação do AMF é limitado ao máximo de 32 canais
* Corrigido: [in_mp3] Brug ao usar Alt+3 no arquivo atual em execução com tag APEv2
* Corrigido: [in_mp3] Leitura de frame id3v2.4-only TDRC (Ano)
* Corrigido: [in_mp3] Não deletava frames TCMP e PRIV id3v2 ao atualizar tags
* Corrigido: [in_mp4] Suavizaçao entre faixas
* Corrigido: [in_nsv] Problema de vazamentos de inteiros
* Misc: Modificações, melhorias, correções e otimizações em geral
* Misc: [ml_local] Adicionado página explicativa de erro  se banco de dados for corrompido
* Atualizado: [enc_fhgaac] Fraunhofer AAC Encoder v3.2.3
* Atualizado: [gen_jumpex] JTFE v1.2.4
* Atualizado: [lame_enc] LAME 3.99

Winamp 5.621	[11 Jul 2011]
* Melhorado: [in_nsv] Novo API permite decodificador de vídeo sinalizar largura e altura ao codec
* Corrigido: [enc_fhgaac] Taxa de bits padrão ADTS; Escrita de dados sem fim
* Corrigido: [enc_fhgaac] Compatibilidade HE-AAC com o iTunes
* Corrigido: [in_midi] Vários problemas de transbordamento de inteiro (obrigado: Luigi Auriemma)
* Corrigido: [libsndfile] Bug de transbordamento de inteiro em arquivo PAF (obrigado: Hossein Lotfi/Secunia)
* Corrigido: [ml_local] Instrução ilegal trava máquinas non-SSE
* Corrigido: [ml_rg] Alguns arquivos incorretamente retornando 0 como ganho de valores
* Corrigido: [nsvdec_vp3, nsvdec_vp5 vp6,] Vulnerabilidades de buffer
* Misc: Modificações, melhorias, correções e otimizações em geral

Winamp 5.62	[30 Jun 2011]
* Novidade: Codec Fraunhofer AAC com suporte a codificação VBR
* Novidade: [theora.w5s] Decodificador Theora MKV
* Melhorado: [ml_local] Capa do álbum Extra Larga e opção para esconder título
* Melhorado: [in_mp3/jnetlib/ml_wire] Suporte ao redirecionamento http código 303 & 307
* Corrigido: [in_midi] Vulnerabilidade ao processar mensagem do SysEx (integer underflow)
* Corrigido: [in_midi] SysEx message processing integer underflow vulnerability
* Corrigido: [in_mod] Crash on .IT files with 0 channels (thanks: Luigi Auriemma)
* Corrigido: [in_mp4] Travamentos de arquivos truncados
* Corrigido: [in_mp4] Distorção em arquivos MP4 com dados stts errados
* Corrigido: [jnetlib] Vazamento de memoria ao conectar com transmissões https
* Corrigido: [ml_impex] Contador de dados importados
* Corrigido: [ml_local] Advanced Query Builder
* Corrigido: [nsvdec_vp5] Integer underrun (thanks: Luigi Auriemma)
* Corrigido: [pmp_wifi] Sincronização da playlist
* Corrigido: [vis_milk2] Alguns presets não reagindo à música (Milkdrop v2.24)
* Corrigido: [vp6] Crash on rescaling with irregular video sizes (thanks: Luigi Auriemma)
* Corrigido: [vp6] Integer underrun in Deblocking filter when picture size is 0,0
* Misc: Padrão "Restaurar associações de arquivo ao iniciar Winamp" para "off" no Vista+
* Misc: Modificações, melhorias, correções e otimizações em geral
* Misc: Redesigned SHOUTcast Radio online service view (new school & classic options)
* Misc: Substituído CT aacPlusDecoder.w5s com o novo FhG aacdec.w5s
* Misc: Substituído CT enc_aacplus.dll com o novo FhG enc_fhgaac.dll
* Misc: Toolbar now compatible with Firefox 5

Winamp 5.61	[22 Mar 2011]
* Melhorado: [ml_local] Otimizações na velocidade da Busca & Exibição (~20% rápida!)
* Melhorado: [ml_impex] Análise na importação de dados
* Melhorado: [ml_plg] Suporte direto da roda do mouse para exibir playlist gerada
* Melhorado: [ml_plg/gracenote] Melhorias na consulta, no backup e restauração do BD
* Melhorado: [ml_rg] Aumento do máximo da taxa de amostra de 96000 para 192000
* Melhorado: [nsutil] Adicionado suporte 64bit a flutuação IIR
* Melhorado: [Installer] Iniciar Winamp como usuario regular from elevated installer
* Melhorado: Suporte rotação da roda do mouse
* Corrigido: Adicionado parâmetros para checar e prevenir JSAPI2 travar
* Corrigido: Falhas conhecidas de compatibilidade do IE9
* Corrigido: [Bento browser] Congelamento quando sequência de busca são espaços
* Corrigido: [Bento/Modern skins] Travamento ao clicar Notificador ml_nowplaying faltando
* Corrigido: [gen_ml] Falhas de exibição capa do álbum e barra listview UI
* Corrigido: [in_flac] Travamento ao tentar escrever tag em arquivos não existentes
* Corrigido: [in_mp3] Vazamento de memória APEv2
* Corrigido: [in_mp3] bitmask errado para calculo AAC framelength
* Corrigido: [in_mp3] Relatorio incorreto de quadros aproximados
* Corrigido: [jnetlib] Potencial transbordamento de inteiros na análise do cabeçalho http
* Corrigido: [ml_local] Categoria não gravava em arquivo quando era editado a tag
* Corrigido: [ml_plg] Reconstrução lógica forçada para locais não inglês
* Corrigido: [nde] Salvando o mldb até 3 vezes ao sair do Winamp (bug do 2.95/5.0)
* Corrigido: [pmp_android/usb] Usar <Artist> para nome da pasta caso <Albumartist> esteja faltando
* Corrigido: [pmp_ipod] BD corrompia ao Ejetar alguns modelos de iPod
* Corrigido: [pmp_ipod] Problemas de sync no Nano 4G (corrigido no 5.601 rev.3)
* Misc: Modificações, melhorias, correções e otimizações em geral
* Misc: Docs Online de Ajuda movidos para o site AOL Help
* Misc: SHOUTcast2 suporta ajustes para in_mp3 & info do arquivo em Bento
* Misc: [in_flac/in_vorbis] Mudado escala de classificação interna de 0-5 para 0-100
* Misc: [ml_local] Ajustes no menu clique-direito (Exibe as faixas)
* Revertido: Milkdrop de v2.23 para v2.2 e AVS de v2.83 para v2.81d (for now)
* Atualizado: Sonic PrimoSDK Burning Engine v4.28.06.0
* Atualizado: [installer] OpenCandy SDK (fixes some AV’s reporting it as malware)
* Atualizado: [libpng] libpng v1.5.1

Winamp 5.601	[9 Dez 2010]
* Melhorado: [in_wave/libsndfile] Adicionado AIF na lista padrão de extensões
* Melhorado: [ml_plg] Localização dos nomes de playlist & outros ajustes
* Corrigido: Compatibilidade Win2k (causado por 5.6 DLL especifica carrega fix)
* Corrigido: [in_midi] Segurança de vulnerabilidade (thanks: Morten @ kryptoslogic)
* Corrigido: [in_mp3] Consulta de metadata para reprodução sem pausa iTunes
* Corrigido: [pmp_ipod] Questões do Ejetar
* Corrigido: [pmp_ipod] Compilação de flag quando Interprete é "Various Artists"
* Corrigido: [pmp_wifi] Travamento quando devices.w5s ausente
* Misc: Criado instalador para desativar incompatibilidade com plugin de terceiro gen_lyrics
* Misc: Modificações, melhorias, correções e otimizações em geral

Winamp 5.6	[27 Nov 2010]
* Novidade: [pmp_wifi] Suporte à Wi-fi do Android
* Novidade: Suporte direto à 'roda' do mouse
* Novidade: Opção de escrever classificação nas tags (para mp3, wma/wmv, ogg & flac)
* Melhorado: Redesenhado Exibição de Dispositivos Portatéis na Biblioteca de Midia (w.i.p.)
* Melhorado: Nova opção no contexto do menu Vídeo "Inverter Verticalmente (Shift+F)"
* Melhorado: [dlmgr/jnetlib] Tratamento de status http nos códigos: 100 & 201-206
* Melhorado: [ml_plg] Gerador de Playlist: contexto do menu & outros recursos
* Melhorado: [ml_pmp] Preferências de Transcodificação para portáteis
* Melhorado: [ml_transcode] Adicionado suporte para <disc> & <discs> na nomeação
* Melhorado: [nsutil] Otimizado modos de vídeo
* Melhorado: [pmp_android/ipod] Adicionado codificador de blacklist
* Melhorado: [ReplayGainAnalysis] Suporte a mais taxas de amostra
* Corrigido: Fix de vulnerabilidade no carregamento com segurança de DLL
* Corrigido: [enc_lame] Vazamento de memória
* Corrigido: [gen_ff] Favorito corrompia via menu Enviar para na rolagem do título
* Corrigido: [gen_ml] BM Vazia/Cinza quando reiniciava Winamp minizado
* Corrigido: [gen_ml] Atraso na rolagem no painel de navegação com grande quantidade de itens
* Corrigido: [in_midi] Problema com transbordamento de inteiros
* Corrigido: [in_mod] Transbordamento de dados na cx de comentário (vulnerabilidade em MTM)
* Corrigido: [in_mkv] Travamento ao ler a linha exata de SIZE_MAX bytes
* Corrigido: [in_mp3] ID3v1 UI glitch, APEv2 + Lyrics3 tag combo bug, APEv2 tag removal
* Corrigido: [in_mp4] Travamento ao adquirir metadata/capa do álbum de MP4 inválidos
* Corrigido: [in_nsv] Transbordamento de inteiros na alocação de memória de metadata
* Corrigido: [in_nsv] Transbordamento de inteiros ao analisar TOC (obrigado à: C. Eiram, Secunia)
* Corrigido: [in_nsv] Peculiaridades ao detectar modos de vídeo
* Corrigido: [ml_local] Seta e inconsistências na classificação nos três painéis de exibições
* Corrigido: [ml_plg] Banco de dados do gerador de Playlist corrompido
* Corrigido: [ml_pmp] Travamento no autopreencher em bibliotecas vazias
* Corrigido: [ml_playlists] Bug ao arrastar e soltar itens de uma playlist para outra
* Corrigido: [ml_transcode] Conversão de .cda congelava quando usava esquema <filename>
* Corrigido: [playlist] Caminhos relativos ao nome do arquivo já eram relativos
* Corrigido: [pmp_android/usb] Sincronismo de Playlist & problemas de carregamento
* Corrigido: [pmp_android/ipod/usb] Problema com barra no caminho da playlist
* Corrigido: [pmp_usb] Bug quando vários dispositivos USB estão conectados
* Corrigido: [vis_milk2] Problemas Unicode com editor de preset (específico 5.58)
* Corrigido: [vis_milk2] Correção no arquivo de pesquisa sprites.ini
* Corrigido: [vp6.w5s] Transbordamento de dados
* Misc: Modificações, melhorias, correções e otimizações em geral
* Misc: Suporte à Portatéis/Dispositivos agora também em ml_devices.dll & devices.w5s
* Misc: Pergunta para o usuário se deseja mover skins/idiomas para o novo local
* Misc: Winamp Remote removido do instalador
* Misc: [ml_pmp] Movido 'Sincronizar Podcast' em uma nova aba nas opções de dispositivos portatéis
* Misc: [out_ds] Config agora exibe sons 7.1 como '7.1' ao invés de 'Desconhecido'
* Atualizado: Gracenote CDDB/MusicID v2.6.206
* Atualizado: [gen_jumpex] JTFE v1.2.3
* Atualizado: [in_vorbis] libogg v1.2.1 & libvorbis v1.3.2
* Atualizado: [vp8] libvpx 0.9.5

Winamp 5.581	[12 Jul 2010]
* Melhorado: [pmp_android/usb] Disk-performance of metadata cache
* Corrigido: [gen_ml] Pequena correção no vazamento de recusos, outras otimizações extra
* Corrigido: [gen_ff] Tooltip desaparecia nas janelas abaixo do Winamp
* Corrigido: [ml_disc] Unidades de CD não aparecia na árvores da BM quando BM não-visivel
* Corrigido: [ml_wire] Classificação por data antes do auto-downloading de podcasts
* Corrigido: [pmp_android] Configurações não eram salvas.
* Corrigido: [pmp_android/usb] Gerenciar com prompt do Winamp sempre reaparecendo
* Corrigido: [pmp_android/usb] Transcodificando em dispositivos USB e Android
* Misc: Lang Pack atualizadas (de, ro, tr, fr, ru, se, ja)
* Misc: Modificações, melhorias, correções e otimizações em geral
* Atualizado: [gen_jumpex] JTFE v1.1.1

Winamp 5.58	[29 Jun 2010]
* Novidade: Serviço Online 7digital mp3 store
* Novidade: Suporte a WebM Vídeo para in_mkv & decodificador vp8 para in_nsv
* Novidade: [ml_downloads] Melhorado o gerenciador de download para Podcasts e Serviços Online
* Novidade: [pmp_android] Suporte a Dispositivo Android
* Melhorado: Novos ícones 256x256 para Win7/Vista (Suporte via gen_jumpex)
* Melhorado: Novos botões na barra de tarefas do Win7 (Anterior/Reproduzir/Pausar/Parar/Avançar)
* Melhorado: Nova opção 'Inverter vídeos Verticalmente', compatibilidade com drivers antigos
* Melhorado: OSD Vídeo melhorias de posicionamento e design
* Melhorado: [D3D video renderer] Suporte a sobreposição no Win7 (w.i.p.)
* Melhorado: [in_flv] Suporte a tag 'StreamTitle' (não testado)
* Melhorado: [in_avi/in_mp3] Suporte ao áudio MPEG Layer 2 (mp2) em AVI
* Melhorado: [in_mp4] Melhorias http streaming MP4
* Melhorado: [ml_bookmarks] Suporte Unicode no Favoritos  (winamp.bm8)
* Melhorado: [ml_history] Adicionado opção para restaurar reprodução de podcasts
* Melhorado: [ml_impex] Importar/Exportar campos 'Gravadora', 'Produtor' & 'Diretor'
* Melhorado: [ml_local/in_mp3] Classificar frame POPM nas tags id3v2 (w.i.p.)
* Melhorado: [ml_wire] Vários ajustes em inscrições
* Melhorado: [pmp_ipod] Suporte para os modelos mais recentes Classic gen
* Corrigido: Pasta de linguagem externa sempre procura pela pasta 'en-US'
* Corrigido: Manipulação da tabela das teclas de atalho (corrigidos: Ctrl+Alt+N, Ctrl+T, etc)
* Corrigido: Questões de rolagem com altas resoluções
* Corrigido: Stackoverflow ao carregar o whatsnew.txt
* Corrigido: [enc_flac] Fator de compressão (sempre nível 5)
* Corrigido: [gen_ff] Retirada de fonte padrão sempre com a mesma fonte TTF substituida
* Corrigido: [gen_jumpex] Elevation on Win7/Vista for Shell Options
* Corrigido: [gen_ml] Árvore não focalizada quando BM é aberta em skins modernas
* Corrigido: [in_cdda] Info do CD não lembra existente
* Corrigido: [in_mp4] Integer type coersion bug que faz alguns arquivos MP4 falhar.
* Corrigido: [in_mp4] Reprodução somente de vídeos
* Corrigido: [in_mp4] Alguns plugins/presets vis não trabalhava com mp4
* Corrigido: [libmp4v2] Travamento ao tentar reproduzir vídeos iTMS M4V mal formados
* Corrigido: [ml_local] Classificação perdida atualiza info de arquivo mp3 (especificamente no v5.57)
* Corrigido: [ml_pmp] pmp_*.dll plugins não era removido por: Prefs -> Desinstalar
* Corrigido: [pmp_usb] Nenhum disco na unidade erro com leitores de cartão
* Corrigido: [pmp_usb] cache xml perdendo metadata (agora com NDE)
* Corrigido: [vis_milk2] Alguns presets não carregava em outros idiomas além do Inglês
* Corrigido: [vp6] stack overflow with malformed codec data (thanks Nicolas Joly, VUPEN)
* Misc: Adicionado mais gêneros no diálogo info do arquivo
* Misc: Modificações, melhorias, correções e otimizações em geral
* Misc: Mais traduções corrigidas e idiomas atualizados
* Misc: Configuração ml_rg movida para Prefs -> Reprodução -> Aumento de Volume
* Misc: Desinstalador melhorado com opções para remover pacote de apps e configs do usuário
* Misc: Página prefs do "Winamp Pro" redesenhada
* Atualizado: Gracenote CDDB/MusicID v2.6.205
* Atualizado: [gen_jumpex] JTFE v1.1
* Atualizado: [in_vorbis] libogg 1.2.0 & libvorbis 1.3.1
* Atualizado: [lame_enc] LAME 3.98.4

Winamp 5.572	[13 Jan 2010]
* Melhorado: [h264.w5s] Otimizações no decodifador H.264
* Melhorado: [in_avi/bmp.w5s] Suporte a bitmap RGB em AVI
* Melhorado: [ml_disc] Suporte para Disco# de acordo nomeação no Ripar CD
* Corrigido: Erro ao usar Editor Alt+3 durante scan da bmdb em segundo plano
* Corrigido: EasyMove janela clássica de vídeo
* Corrigido: Analizador de Espectro em vis por batida com arquivo PCM de 32bit
* Corrigido: [bmp.w5s] Vazamento de memória com Codes AVI BMP (tscc, rle, yuv, rgb)
* Corrigido: [D3D] Erro ao alterar altura e não largura ao back-to-back videos
* Corrigido: [gen_tray] Popout na bandeja no modo compacto no Win7
* Corrigido: [in_avi] Crash on files with missing RIFF header (including 0-byte files)
* Corrigido: [in_avi] Erro quando ix##, tabelas de consultas não estavão onde deviam estar
* Corrigido: [in_mod] Erro Sem memoria com alguns arquivos velhos .mod
* Corrigido: [in_mp3] Cabeçalho ADTS questão unicode/ansi (para arquivos .aac)
* Corrigido: [ml_impex] Escrevendo UTF-8
* Corrigido: [ml_local] Editor de Info limpando campos bmdb sem suporte pelo plugin de entrada
* Misc: Outras tentativas de fixar relatório de registro de erros no Vista & Win7
* Misc: Instalador: Só instale Gracenote como componente dependente
* Misc: Modificações, melhorias, correções e otimizações em geral
* Misc: Várias traduções atualizadas (nota: Pacote de idioma Francês atualizado para 5.57x)
* Atualizado: [gen_jumpex] JTFE v1.0.7.3
* Atualizado: libpng 1.4.0
* Atualizado: libsndfile 1.0.21

Winamp 5.571	[21 Dez 2009]
* Novidade: Suporte à MPEG-4 vídeo em in_mp4 & in_flv (Winamp Pro)
* Novidade: [in_avi] Suporta à vídeo AVI Nativo (MPEG-4 = Winamp Pro)
* Novidade: [in_mkv] Suporte à vídeo MKV Matroska (MPEG-4 = Winamp Pro)
* Novidade: [ml_addons] Browser para explorar novos skins & plugins
* Novidade: Plugins detectar Winamp para os navegadores IE & FF
* Melhorado: Renderização Direct3D vídeo
* Melhorado: Controle de associação de arquivo no Vista & Windows 7
* Melhorado: Novo OSD de vídeo em tela cheia
* Melhorado: Pré-amp ajustado para arquivos com aumento de volume (só .ini)
* Melhorado: Otimizações no VU meter (vis por batida)
* Melhorado: [gen_ff] Objeto Multithreaded <AlbumArt/>
* Melhorado: [in_flac/in_vorbis] Suporta ao campo Organização como Gravadora na tag
* Melhorado: [in_flv] Suporte à audio AAC & aacPlus em arquivos FLV
* Melhorado: [in_mp4] Suporte para aacPlus estéreo paramétrico em arquivos mp4
* Melhorado: [in_nsv] Decodificador Nativo para h.264 (Winamp Pro)
* Melhorado: [in_wave] Controle Unicode do nome do arquivo
* Melhorado: [ml_history] Offset do reproduzir ao sair do pause na reprodução de podcasts
* Melhorado: [ml_local] Campo e coluna Diretor & Produtor em vídeos
* Melhorado: [ml_local] Linhas de cache para acelerar consultas NDE
* Melhorado: [ml_online] Opção de clique-direito para abrir serviço em nova janela
* Melhorado: [ml_wire] suporte aos protocolos feed:// pcast:// e winamp://
* Melhorado: [ml_wire] Opção de download automático para os episodios mais recentes
* Melhorado: [ml_wire] Exibição do diretorio de Podcast Redesenhada
* Melhorado: [pmp_usb] Opção fixar caminho salvo nas playlists
* Melhorado: [vis_milk2] Milkdrop2 atualizado para ns-eel2 (thanks Justin)
* Corrigido: Info mdlb personalizada revertia para nome de arquivo com Alt+3 para in_dshow, flv & swf
* Corrigido: Instalação do Elevator na v5.57 e compatibilidade com o Aero no Windows Vista
* Corrigido: HeapSetInformation não localizava erro no kernel32 abaixo de Win2k
* Corrigido: Aleatório característica quebrada sob perfil do usuário limitado
* Corrigido: Vários outros assuntos/bugs/erros reportados com a v5.57
* Corrigido: [gen_ml] Exibição de texto negrito em Midia Local em alguns sistemas
* Corrigido: [gen_tray] Modo Compacto não trabalhava com SO 64-bit
* Corrigido: [in_flac] Reprodução congelava antes do fim em arquivos corrompidos
* Corrigido: [in_flv] Problema de sincronização do áudio em arquivos flv
* Corrigido: [in_flv] Vários problemas relacionado a crash com h.263
* Corrigido: [in_mod] Heap overflow segurança de vulnerabilidade (obrigado Dyon Balding, Secunia)
* Corrigido: [in_mod] Alguns arquivos s3m dava erro ao carregar
* Corrigido: [in_mp4] Vários problemas ao converter
* Corrigido: [in_wm] Janela Principal e menu da barra de tarefas bloqueava ao fechar o browser DRM
* Corrigido: [jpeg.w5s/png.w5s] Segurança de vulnerabilidade (obrigado Nicolas Joly, VUPEN)
* Corrigido: [ml_local] Remoção de arquivos faltando/errados no rescan completo
* Corrigido: [ml_wire] feeds.xml era destruído as vezes
* Corrigido: [pmp_p4s] Erros com certos dispositivos
* Corrigido: [vis_avs] Compilar edição que causava aos presets não carregar corretamente ou crash
* Misc: Melhorada compatibilidade com o Windows 7
* Misc: Modificações gerais, melhorias, correções e otimizações
* Misc: Nova página de info dos tradutores no diálogo 'Sobre o Winamp'
* Misc: Suporte ao novo vídeo MPEG-4 adicionado h263.w5s, h264.w5s & mp4v.w5s
* Misc: Renomeado o nsvdec_vp6.dll para vp6.w5s
* Misc: Removido da instalação o gen_dropbox, por enquanto...
* Misc: Clique-Direito fecha notificador na skin Bento
* Misc: Algumas correções no atalho de teclado (Ctrl+Alt+B para Adicionar atual ao favoritos)
* Misc: Várias melhorias no installer (incluindo novo verificador da versão DirectX)
* Atualizado: Decodificador aacPlus 8.2.2, Codificador 8.2.0
* Atualizado: Gracenote CDDB/MusicID v2.6.101
* Atualizado: libpng 1.2.40
* Atualizado: [gen_jumpex] JTFE v1.0.7
* Atualizado: [in_vorbis] libvorbis 1.2.3 & libogg 1.1.4

Winamp 5.56	[2 Jul 2009]
* Novo: Plugin Winamp Orgler - O deixar localizar, gráfico e compartilhar o que você escuta.
* Melhorado: [jnetlib] Novo suporte ao SSL na reprodução em https:// streams
* Melhorado: [ml_autotag] Emparelhamento indistindo agora desmarcado por padrão & marcado 'Inseguro'
* Melhorado: [ml_local] Novo scanner de fundo
* Melhorado: [ml_online] Varias modificações, correções
* Melhorado: [ml_pmp] Adicionado suporte arrastar+soltar do Explorer para playlist de dispositivos
* Corrigido: processo iexplore não finalizava quando o browser era fechado depois aberto pelo Winamp
* Corrigido: Bug de duplicação ao salvar EQ preset
* Corrigido: [Bento skin] Homepage SHOUTcast sendo redirecionado para Winamp search
* Corrigido: [gen_jumpex] Reservados os botões cima/baixo buttons, 'após atual' & outras questões
* Corrigido: [in_mod] Travamento em alguns módulos .s3m (w.i.p.)
* Corrigido: [in_mod] Pequeno problema na reprodução durante transcodificação de fundo
* Corrigido: [in_wm] Emissão de ponto decimal no Alt+3 info do formato
* Corrigido: [in_wm] Anexado ao browser do IE aquisição de autorização para DRM
* Corrigido: [in_wm] Carregamento de URLs nas playlist WPL
* Corrigido: [in_mp4/libmp4v2] Bug Integer overflow no tamanho da amostra de MP4
* Corrigido: [libsndfile] Vulnerabilidade no buffer VOC
* Corrigido: [ml_impex] Ler "como vídeo" campo do iTunes XML (e escreve ao exportar)
* Corrigido: [tagz.w5s] Pendure com função $right em ATF quando especificado campo está vazio
* Corrigido: [vis_avs] Dependência do msvcp71.dll
* Misc: Adicionado front.jpg/gif/etc para critério da capa do álbum
* Misc: Modificações gerais, melhorias, correções e otimizações
* Misc: Novo componente OmBrowser.w5s compartilhado com ml_nowplaying, wire & on-line
* Misc: Dashboard Removido (ml_dash) para distribuição
* Misc: ml_orb agora é instalado separado como parte do pacote do Winamp Remoto
* Atualizado: [gen_jumpex] JTFE v1.0.5
* Atualizado: libsndfile 1.0.20

Winamp 5.552	[10 Abr 2009]
* Fixed: [gen_ff] memcpy integer overflow vulnerability in maki script loading

Winamp 5.551	[9 Mar 2009]
* Fixed: [libsndfile] CAF Processing Integer Overflow Vulnerability
* Updated: libsndfile 1.0.19

Winamp 5.55	[27 Fev 2009]
* New: Turkish, Portuguese-BR & Romanian installer translations and language packs
* New: WBM system for lazy-loading of *.w5s files
* New: [Bento skin] Playlist tab (optional)
* New: [ml_impex] iTunes-compatible Media Library database import/export plugin
* Improved: [gen_ff] Faster & no flicker when loading/switching skins
* Improved: [gen_jumpex] New 'Add to Library' shell menu item & other tweaks
* Improved: [gen_jumpex] True unicode search support
* Improved: [gen_ml] Optional alternating row colors for list views
* Improved: [gen_ml] Optional skinned menus
* Improved: [in_mod] Experimental ExtendedRead support (transcoding, burning, etc)
* Improved: [in_mod] Now uses global Playback config for thread priority
* Improved: [in_mp3] APEv2 tag editing/creating tweaks
* Improved: [in_mp3] Show instantaneous bitrates for AAC VBR
* Improved: [ml_local] Media Library searches now ignore diacritics
* Improved: [ml_local] New 'Category' and 'Lossless' database fields
* Improved: [ml_local] New playcount Tracking Control options
* Improved: [ml_local] New 'Play/Enqueue random' item for top level filters
* Improved: [ml_online] New toolbar and various other tweaks & optimizations
* Improved: [ml_online] Support for 3rd-party Services
* Improved: [vis_milk2] Pixel Shader 2.0 & 3.0 support tweaks
* Improved: [vis_nsfs] Unicode title display for currently playing track
* Improved: [Winamp Agent] Localization support
* Improved: [Winamp Modern skin] New spectrum vis options
* Fixed: Accessibility fixup for Format Info string in Alt+3 dialog
* Fixed: Genre not being saved with Autotag feature in Alt+3 dialog
* Fixed: Memory leaks in in_mp3, in_wm, gen_dropbox, ml_local, ml_pmp & tagz.w5s
* Fixed: New version check can't be disabled when anon statistics is enabled
* Fixed: Rare crash when closing vis window
* Fixed: Various issues when starting/stopping/switching vis plugins
* Fixed: [Agent] Systray icon not showing if 'Play in Winamp' removed in Shell Options
* Fixed: [enc_flac] 24-bit FLAC encoding
* Fixed: [gen_jumpex] Shell Options, B Hotkey, Send To menus & other misc bugs
* Fixed: [gen_ml] Library button resize glitch
* Fixed: [in_cdda] Potential cddb Disc null pointer crash
* Fixed: [in_flac] Albumartist & Ensemble fields not cleared when deleting Album Artist
* Fixed: [in_flac] Track restarts when updating metadata
* Fixed: [in_mp3] Potential ID3v2.0/2.1 crash issue
* Fixed: [in_mp4] Empty genre metadata field (eg. when transcoding from flac to m4a)
* Fixed: [in_mp4] Long hangs on slow network drives
* Fixed: [libsndfile] AIFF buffer overflow vulnerability (thanks milw0rm/secunia)
* Fixed: [ml_disc] Potential crash on exit
* Fixed: [ml_disc] 'Use uppercase file extensions' ripping option not being respected
* Fixed: [ml_history] Tracking still updates if playback stopped before specified time
* Fixed: [ml_local] Broken 'Create Playlist' button functionality in local media
* Fixed: [ml_local] Remove missing files broken with some older/corrupt databases
* Fixed: [ml_wire] Columns sometimes hidden in Downloads view
* Fixed: [ml_plg] Multiple 'Failed to initialize' error messages
* Fixed: [ml_pmp] Crash when deleting playlists/files from a P4S portable device
* Fixed: [ml_pmp] Metadata hooking, transcoder, autofill and other bug fixes
* Fixed: [nde] Albums with % in title not displaying tracklist in local media views
* Fixed: [out_ds] Logarithmic volume control dB display glitch
* Fixed: [pmp_ipod] Deletion of non-existent files from database
* Fixed: [pmp_ipod] Reading of Play Count statistics
* Fixed: [pmp_ipod] Various database, albumart, playback & disconnection issues
* Misc: More miscellaneous general tweaks, improvements, fixes and optimizations
* Misc: New "Send Feedback" item in the Help menu
* Misc: Note that changes made to the ml database are not backwards compatible!
* Misc: Removed some older Milkdrop presets and added some newer ones
* Misc: Separated vlb.w5s and nsvdec_vp3.dll decoders from in_mp3 and in_nsv
* Misc: Separated timer from gen_ff into timer.w5s
* Updated: Gracenote CDDB/MusicID v2.6.0.6
* Updated: libpng 1.2.35
* Updated: Sonic Burning Engine v4.10.32.502
* Updated: [gen_jumpex] JTFE v1.0.4
* Updated: [in_mp3] Fraunhofer Decoder v4.3
* Updated: [lame_enc] LAME 3.98.2
* Updated: [vis_avs] AVS v2.82

Winamp 5.541
* Improved: [pmp_ipod] Better auto-detection of newer iPod models
* Fixed: Filetype icons in Windows Explorer not updating when changed in Prefs
* Fixed: ML & Vis appear under other overlapping modern skin windows
* Fixed: No error message when trying to edit metadata for Read-Only files
* Fixed: Potential security vulnerability in NowPlaying
* Fixed: [gen_ff] Keyboard shortcuts in modern skin playlist windowshade mode
* Fixed: [gen_ml] Scrolling to bottom of AlbumArt pane & other misc scrollbar issues
* Fixed: [in_mp3] Broken '307 - Temporary Redirect' url's
* Fixed: [ml_local] AlbumArt icon selection glitch
* Fixed: [ml_playlists] Play and Enqueue actions reversed if Enqueue is set as default
* Fixed: [ml_rg] ReplayGain analysis of 20bit files
* Misc: Double-click Modern pledit songticker now toggles windowshade mode again
* Misc: More miscellaneous general tweaks, improvements, fixes and optimizations

Winamp 5.54
* New: Chinese, Japanese & Korean installer translations and language packs
* New: [in_swf] Adobe Shockwave Flash (SWF, RTMP) playback support
* New: [gen_dropbox] Winamp DropBox alpha (use: Ctrl-Shift-D)
* New: [Online Services] AOL Radio featuring CBS Radio (requires in_flv)
* Improved: Background reading option for playlist metadata
* Improved: Classic songticker scrolling for Winamp Modern skin pledit winshade
* Improved: Vista elevation (fixes: installing skins, filetype reg, Pro reg)
* Improved: Zero padding option for playlist item numbers
* Improved: [in_flv] Better streaming support and other improvements
* Improved: [in_mp3] Added APEv2 tag options to configuration
* Improved: [in_mp3] Optional retention of existing APEv2 headers
* Improved: [ml_disc] Artwork support for Data CD Reader
* Improved: [ml_disc] Better detection of any copy operations in progress
* Improved: [ml_disc] Improved start times if ml_disc view is active
* Improved: [ml_local] Redesigned 'Show Info' panel
* Improved: [ml_nowplaying] Redesigned 'Now Playing' artist experience
* Improved: [ml_playlists] Right-click option to sort list of playlists alphabetically
* Improved: [pmp_usb] Connect/Disconnect/Blacklist config options
* Fixed: Alt+F4 closing Winamp instead of individual dialogs
* Fixed: Bento browser redirecting network drive url's to Winamp Search
* Fixed: Blank playlist when in docked toolbar mode and Winamp is minimized
* Fixed: Modern skin component windows appearing individually in Alt+Tab
* Fixed: Multi-flashing on startup when previously closed whilst minimized to systray
* Fixed: Pure Virtual Function Call runtime crash errors
* Fixed: Redraw issue when built-in classic vis is disabled
* Fixed: Various multi-monitor docking issues
* Fixed: Various other 5.53-specific keyboard accelerator issues
* Fixed: [Bento] Drag+Drop into Playlist from Open Files dialog
* Fixed: [burnlib] 'CD Drive locked by another Winamp process' on 2nd burn attempt
* Fixed: [burnlib] 'Burner releasing failed' error
* Fixed: [dsp_sps] Crash on close when config Help dialog is still open
* Fixed: [enc_flac] MD5 checksum generation
* Fixed: [gen_ff] Attached vis plugin crash on winshade to normal mode in Modern skin
* Fixed: [gen_hotkeys] Assigning Winkey with already used Ctrl combinations
* Fixed: [gen_ml] Enter/Shift+Enter broken for ML treeview items (5.53-specific)
* Fixed: [in_cdda] Composer/Conductor logic bug when saving CDDB data to database
* Fixed: [in_flac] Minor metadata writing bugs
* Fixed: [in_midi] Seeking with 'DM/MS Synth' device in Streamed playback mode
* Fixed: [in_mp3] Crash on files with invalid/corrupt gapless data
* Fixed: [in_mp3] Create new ID3v1/v2 tags configuration setting
* Fixed: [in_vorbis] Huge lag on files with large embedded cover art
* Fixed: [in_vorbis] Metadata & Format Info display for streams in View File Info
* Fixed: [in_vorbis] Potential unicode-related crash on open/close issue
* Fixed: [jpeg.w5s] Saving corrupt album art
* Fixed: [ml_autotag] Results dialog hidden under Winamp when AOT is enabled
* Fixed: [ml_disc] Small resource leak
* Fixed: [ml_playlists] Autoscroll broken when dragging items in large playlists
* Fixed: [ml_playlists] Enter/Shift+Enter broken for selected ML Playlist items
* Fixed: [ml_playlists] Not respecting overlapping external windows on item drag+drop
* Fixed: [ml_playlists / ml_transcode] Sending playlists from ML tree to Transcoder
* Fixed: [ml_wire] 404/timeout with valid rss feeds on Vista
* Misc: Miscellaneous localization tweaks, fixes & updates
* Misc: More miscellaneous general tweaks, improvements, fixes and optimizations
* Misc: Setup fixes (Agent not always starting, WLZ filetype not registering, etc)
* Misc: Various other 'Winamp Modern' & 'Bento' skin updates
* Misc: [enc_flac] Now encodes using libFLAC instead of Flake
* Updated: Bento skin v1.2
* Updated: freetype 2.3.7
* Updated: libpng 1.2.28
* Updated: [enc_lame] LAME 3.98

Winamp 5.531
* Fixed: Bento browser redirecting some url's to Winamp Search
* Fixed: Bento collapse/expand button bug
* Fixed: Recent URL's not saving (5.53-specific)
* Fixed: Total time display of selected tracks in Classic playlist (5.53-specific)
* Fixed: [jnetlib] AOL Radio skipping/buffer issue
* Fixed: [ml_local] Right-click Play/Enqueue all items issue in 3-pane views
* Fixed: [ml_playlists] Broken right-click context menu items (5.53-specific)

Winamp 5.53
* Improved: Different shell descriptions for different associated filetypes
* Improved: New 'Refine Search' feature in Cover Art Downloader dialog
* Improved: Unicode support for Language Packs incompatible with system locale
* Improved: [in_cdda] Now reads & writes CD data to an NDE database
* Improved: [in_cdda/ml_disc] Reimplementation of simple offline CD Info Editor
* Improved: [in_flac] Faster FLAC metadata gathering
* Improved: [in_mp3] More accurate .AAC length calculation
* Improved: [in_wav/in_mp4] Support for http streaming of files larger than 2GB
* Improved: [ml_disc] Added support for Data CD reading (w.i.p.)
* Improved: [ml_local/nde] Background scanning & database optimizations
* Improved: [ml_local] Unicode compliant filename-based metadata guessing
* Improved: [ml_transcode] Remove trailing periods from destination filepath
* Improved: [pmp_usb] Added AlbumArtist support to Naming Convention
* Fixed: Classic EQ appearing with Modern skins after switch->minimize->restore
* Fixed: Various miscellaneous Album Art related issues
* Fixed: [enc_lame] Now rejects multi-channel and above 48KHz source files
* Fixed: [gen_ff] Translated skin image loading
* Fixed: [gen_ml] Header sort arrow and Rating column display under Windows 2000
* Fixed: [gen_ml] Various drawing glitches when changing views
* Fixed: [in_cdda] CDDB crash under limited connectivity conditions
* Fixed: [in_cdda] Spectrum vis in analog MCI playback mode
* Fixed: [in_flac] Small memory leak when writing FLAC metadata
* Fixed: [in_flv] Last two seconds of flv videos being cut off
* Fixed: [in_mp3] Crash on encountering a bad ID3v2 version (e.g. ID3v2.F)
* Fixed: [in_mp4] Crash on file-not-found during background decode
* Fixed: [in_wave] Infinite loop on attempted repeat playback of dead files
* Fixed: [in_wm] ASX v2 loading
* Fixed: [in_wm] Crash on files & streams with a huge discontinuity jump
* Fixed: [in_wm / out_ds] Copy 'Status' to clipboard Unicode bug
* Fixed: [ml_autotag] Crash with certain tracks
* Fixed: [ml_history] Crash on drag+drop all history items to playlist
* Fixed: [ml_local] Rating of items with Unicode filenames
* Fixed: [ml_online/orb] Nodes dropping to bottom of ML tree on Lang Pack change
* Fixed: [ml_playlists] Play playlist from Media Library main menu item
* Fixed: [pmp_ipod] Filename length incompatibility with iPod Music Quiz v2
* Fixed: [pmp_ipod] Missing 'Advanced' button in Edit Query dialog
* Fixed: [pmp_ipod] Physical deletion of playing file
* Misc: Added Russian installer translation and language pack
* Misc: In2TV removed from Online Services
* Misc: Installer now built with NSIS Unicode version [thanks Jim Park]
* Misc: More miscellaneous general tweaks, improvements and optimizations
* Misc: Moved shared zlib.dll compression library out of winamp.exe
* Updated: Bento skin v1.1 #120

Winamp 5.52
* Improved: Better Unicode filename support for enc_*.dll audio encoders
* Improved: [ml_transcode] Unicode filename support
* Improved: [in_mp3] APEv2 tag support
* Improved: [in_flac] Support for reading/writing BPM metadata
* Improved: [nde] Optimized for faster mldb query results
* Improved: [vis_milk2] Pixel shaders now work on onboard Intel graphics chips
* Fixed: Comment field character limitation in Basic Info tab of File Editor
* Fixed: Playback Thread Priority middle setting resets to Lowest
* Fixed: [in_mp3] Ultravox streaming metadata stack overflow (Thanks: Secunia)
* Fixed: [in_mp4] Crash when attempting to play non-existent files
* Fixed: [in_vorbis] Crash when clearing existing metadata fields in File Info
* Fixed: [in_wave] Transcoding of floating point WAV files
* Fixed: [ml_transcode] Memory leaks
* Misc: More miscellaneous general tweaks and improvements
* Updated: Bento skin #118

Winamp 5.51
* New: Autoplay Handlers for Audio, MP3 and Video CD's on WinXP & Vista
* New: Default Programs registration for installations on Windows Vista
* New: Optional Constant-Q Equalizer and optional ISO Standard frequency bands
* New: [in_flv] Flash Video decoder (vp6 only, not h.263)
* Improved: Browser download manager now uses CD Ripping destination folder
* Improved: Deletion of embedded album art via Artwork tab in File Info
* Improved: More accurately translated Language Packs
* Improved: More miscellaneous UI/dialog tweaks & improvements
* Improved: Option to set the number of pixels to scroll for modern songticker
* Improved: [Gracenote/MusicID] Better error checking & memory cache optimizations
* Improved: [gen_ff] More miscellaneous freeform skinning engine optimizations
* Improved: [gen_hotkeys] Added optional WM_APPCOMMAND support for media keys
* Improved: [gen_hotkeys] Added increase + decrease rating on current track
* Improved: [in_dshow] Reading of length and bitrate for non-default video formats
* Improved: [in_flac] Optimized disk caching for increased performance
* Improved: [in_mp3] Better optimization for older Pentium Pro/2/3 cpu's
* Improved: [in_mp3] Support for reading ALBUM ARTIST field if TPE2 not present
* Improved: [in_mp4] Better Unicode support and metadata read optimizations
* Improved: [in_mp4] Optimized disk caching/reading
* Improved: [in_vorbis] Support for reading YEAR field if DATE not present
* Improved: [ml_disc/in_cdda] Disc reading tweaks and other general optimizations
* Improved: [ml_history] New tracking control options
* Improved: [ml_local] Added column for BPM
* Improved: [ml_local] Album column sorting order logic
* Improved: [ml_local] Better playlist handling
* Improved: [ml_local] Bumped track# metadata guessing limit from 130 to 999
* Improved: [ml_local] Database query and memory optimizations
* Improved: [ml_pmp] Support for drag&drop from Explorer into portable device view
* Improved: [ml_transcode] Prompt to delete aborted transcodes
* Fixed: Artwork not found if .nfo filename contains a period
* Fixed: ASX Parser converting all stream links in .asx playlists to upper case
* Fixed: Classic songticker wraparound glitchiness
* Fixed: Dragging/scrolling of songticker text after resize
* Fixed: Global Hotkeys list destroyed when changing language packs
* Fixed: Gracenote CDDB Editor genre selection glitches
* Fixed: Gracenote/MusicID not using Winamp's proxy setting
* Fixed: Parsing of ansi ASX playlists containing non-standard characters
* Fixed: Restore from System Tray if previously closed in a minimized state
* Fixed: Setup resetting desktop icons :-o
* Fixed: Spectrum vis incompatibility crash with some 3rd-party input plugins
* Fixed: Truetype replacement font alignment in Winamp Modern winshade songticker
* Fixed: Various miscellaneous keyboard shortcut issues
* Fixed: Winamp Agent registry entry typo (wianmpa.exe)
* Fixed: [Bento] Collapse/Expand Playlist not respecting 'Show Album Art' setting
* Fixed: [gen_ff] Potential high CPU usage of songticker object
* Fixed: [gen_ff] TrueType replacement font change not updating in real-time
* Fixed: [gen_hotkeys] Restore from minimized state whilst About dialog is open
* Fixed: [gen_ml] Blank ML when restarting Winamp from a minimized state
* Fixed: [gen_ml] Cancelling Online Media password prompt clears password & filters
* Fixed: [in_dshow] Miscalculation of some mpeg video lengths
* Fixed: [in_flac] Divide-by-zero crash on corrupt files
* Fixed: [in_mp3] Deleting Lyrics3 tag in Alt+3 Editor also deletes ID3v1 tag
* Fixed: [in_mp3] Handling of ID3v2 with bad version/revision #'s
* Fixed: [in_mp3] ID3v2 parsing crash with some mp3's
* Fixed: [in_mp3] ID3v2 tag not showing when ID3v1 tag reading is disabled in config
* Fixed: [in_mp3] MPEG Info not showing in Alt+3 for files with large ID3v2 tags
* Fixed: [in_mp3] Now only reads first ID3v2 tag if more than one is present
* Fixed: [in_mp3] Winamp UI freezes when loading certain corrupt mp3's
* Fixed: [in_mp4] Playback of mp3 in mp4 container
* Fixed: [in_mp4] Seeking when paused
* Fixed: [in_mp4/jpeg.w5s] Crash when Art field is in metadata with no embedded art
* Fixed: [in_vorbis] UTF8->UTF16 optimized (fixes File Info delay bug)
* Fixed: [libmp4v2] Corrupt m4a's not playing, better handling of ones beyond repair
* Fixed: [ml_autotag] Crash when track isn't part of a disc, eg. internet-only releases
* Fixed: [ml_autotag] Stops processing when switching to another ml view
* Fixed: [ml_disc] CD view/titles not refreshing when ejecting old/inserting new CD
* Fixed: [ml_disc] Crash when using invalid strings in playlist filename generation
* Fixed: [ml_disc] No Burn button under some system configurations
* Fixed: [ml_disc/ml_pmp/ml_transcode] Processing of # in Destination Folder path
* Fixed: [ml_local] Artist column in descending order when sorting by Year
* Fixed: [ml_local] Down key in Search field not focusing the Simple View list
* Fixed: [ml_local] Last Updated, Album Gain & Podcast column sorting orders
* Fixed: [ml_local] Two filters always checkmarked in Edit View for Simple views
* Fixed: [ml_playlists] Shift+Enter hotkey to Enqueue playlist
* Fixed: [ml_plg] Crash when stopping Playlist Generator scan or resetting database
* Fixed: [ml_pmp] Column sorting orders
* Fixed: [ml_rg] Restore from minimized state whilst rg results dialog is open
* Fixed: [ml_transcode] Restore from minimized state whilst config dialog is open
* Fixed: [ml_wire] Podcasts not being downloaded if <title> includes carriage returns
* Fixed: [ml_wire] Lockup when encountering scripts in <description> field
* Fixed: [out_disk] Output folder always resetting to My Documents\My Music
* Fixed: [pmp_ipod] 'Add album art' option always checkmarked
* Fixed: [tataki] Potential crash when encountering an invalid/superficial error
* Fixed: [vis_milk2] Crash when exiting fullscreen back to attached Modern skin window
* Misc: Alt+3 Auto-Tag now saves Gracenote FileId and ExtData fields
* Misc: Double-click Stereo indicator to open Playback prefs (Bento & Modern skins)
* Misc: Installation is now prevented on Win9x
* Misc: Made Milkdrop2 the default vis plugin
* Misc: Split the Playback prefs into 3 tabs: Playback, Equalizer & Replay Gain
* Misc: Various installer setup & localization translation tweaks
* Misc: Various Bento skin fixes, tweaks and improvements
* Misc: Various Winamp Modern skin 5.5-related updates
* Misc: [ml_local] Removed deprecated 'Show album gain values' option in Prefs
* Updated: Bento skin #117
* Updated: Gracenote MusicID/CDDB v2.5.1
* Updated: libpng 1.2.22
* Updated: [vis_milk2] MilkDrop 2.0c

Winamp 5.5
* New: Bento SingleUI Skin
* New: Auto-Tagger in File Info dialog (powered by Gracenote)
* New: Album Art support, including new window for Winamp Modern skin
* New: Fully translatable Localization support
* New: WLZ (Winamp Language Zip) filetype support
* New: Global 'playback thread priority' setting for decoders
* New: Media Monitor and MP3 Blog site scraper (in Bento browser)
* New: Option to set the number of lines to scroll in the Playlist 
* New: Option to not show playlist item number in classic songticker
* New: Option to not show the playlist number in the Windows taskbar
* New: Redesigned Installer
* New: Run Setup switch, winamp.exe /REG=S
* New: Unified File Editor, with Artwork tab (for mp3, m4a, wma, ogg, flac)
* New: Version History drop-down selector and Search (in About dialog)
* New: Winamp Toolbar for Internet Explorer (optional)
* New: %family% ATF string for identifying filetypes
* New: $split() ATF function for splitting x/y disc & track strings
* New: [in_mp3] Multi-channel mp3surround support
* New: [gen_ml] Tree Options tab in Media Library Preferences
* New: [ml_autotag] Mass Auto-Tagger in Send-To menu (powered by Gracenote)
* New: [ml_local] 3 pane view options in 'Add/Edit View' dialog
* New: [ml_local] Smart View Presets
* New: [ml_local] Album Art support/pane and retrieval service
* New: [ml_local] Toolbar buttons to control view options
* New: [ml_plg] Winamp Playlist Generator (powered by Gracenote MusicID)
* New: [ml_pmp] New fields, configurable filter panes & columns, 3 pane view
* New: [ml_pmp] Album Art view & support for iPod and P4S Devices
* New: [ml_pmp] Separate view for video files
* New: [vis_milk2] Milkdrop2 Visualizer
* Improved: General misc UI/Dialog tweaks & improvements
* Improved: Re-tuned and optimized classic Spectrum Analyzer
* Improved: Surround indicator in Winamp Modern skin for multi-channel files
* Improved: Classic Songticker option for Winamp Modern skin (via Config drawer)
* Improved: [in_cdda] Conductor metadata support
* Improved: [in_cdda] Handling of multiple discs
* Improved: [in_flac/in_vorbis] ALBUM ARTIST & ENSEMBLE read support
* Improved: [in_flac] Advanced Editor mode
* Improved: [in_mod] Added support for more than 256 samples
* Improved: [in_mp3] Faster metadata gathering (also speeds up ReplayGain scan)
* Improved: [in_mp4] Smoother data sent to vis & other minor tweaks
* Improved: [in_wm] Faster WMA/WMV metadata gathering
* Improved: [gen_ff] General freeform skinning engine optimizations
* Improved: [gen_ml] Collapsed/expanded state of treeview items now remembered
* Improved: [gen_ml] Skinned scrollbars in Media Library for newer Modern skins
* Improved: [gen_ml] Reordering of treeview items (via drag+drop)
* Improved: [ml_disc] Better Unicode support & other misc tweaks
* Improved: [ml_history] Unicode support
* Improved: [ml_local] Customize Columns menu for top filter panes
* Improved: [ml_local] Option to show horizontal scrollbar for top panes
* Improved: [ml_local] New 'Podcasts' view (appears after downloading a podcast)
* Improved: [ml_local] Added ISPODCAST and PODCASTCHANNEL field names
* Improved: [ml_local] Added BEGINSLIKE comparison operator
* Improved: [ml_local] Dragging of headers to sort column order
* Improved: [ml_local] Redesigned Smart View Editor
* Improved: [ml_local] Star Rating display and selection
* Improved: [ml_pmp] 'Copy to Local Media' config separated from CD Ripping settings
* Improved: [ml_pmp] Portables "Sync" can now keep podcasts updated
* Improved: [ml_rg] ReplayGain calculation support for 64, 88.2 & 96 KHz samplerates
* Improved: [ml_wire] Optional automatic downloading of new podcast episodes
* Improved: [ml_wire] Multi-select, 'Send To' menu and other general enhancements
* Improved: [ml_wire] Podcast downloads now saved in channel subfolders
* Improved: [ml_wire] Updated podcast directory
* Improved: [pmp_ipod] Now uses the iPod's podcast menu for podcasts
* Fixed: 'All supported files' showing all filetypes in Open Files dialog
* Fixed: Esc key not working in Credits & Winamp tabs of About Box
* Fixed: Long filepaths corrupted when opening Winamp via Explorer context menu
* Fixed: Oversized preference pages with large DPI setting
* Fixed: Recurrence of multiple instances bug (previously fixed in 5.3)
* Fixed: Selecting 'No' for 'Physically Remove' prompt removes playlist/mldb item
* Fixed: TV button in video window not working
* Fixed: Windows showing if switching from modern to classic skin in minimized state
* Fixed: [ASX Loader] Recursive playlist loading & case-insensitive element matching
* Fixed: [ASX Loader] Handling of entries embedded within a REPEAT tag
* Fixed: [dsp_sps] DEP incompatibility
* Fixed: [gen_ff] "Can't unload script while in script" error when switching skins
* Fixed: [gen_ff] Remember ML size when switching between Modern & Classic skins
* Fixed: [gen_ff] Transparent docked toolbars for skins using alpha-blending
* Fixed: [gen_ff] 10% opacity not applying on skins that add items to rt-click menu
* Fixed: [gen_jumpex] Crash when loading multiple files via Explorer context menu
* Fixed: [gen_jumpex] Remove Duplicate Entries action broken in pledit
* Fixed: [gen_ml] %playcount% returning Comment on drag+drop from ML to pledit
* Fixed: [gen_ml] Shift+Insert (New Playlist) and F1 (Help) keyboard shortcuts
* Fixed: [in_cdda] CDDB crash when attempting to rip a CD in a 2nd instance of Winamp
* Fixed: [in_flac] General FLAC Editor quirks (Comments field, Enter key, etc)
* Fixed: [in_flac] 24bit files don't play when 'Allow 24bit' setting is disabled
* Fixed: [in_mod] Fadeout value goes below 0.0 sec in in_mod config
* Fixed: [in_mod] Interpolator 'division by zero' crash bug
* Fixed: [in_mp3] Crash on some mp3's with corrupt ID3v2 extended headers (rare)
* Fixed: [in_mp3] Crash on loading corrupt id3v2.3 tags of a later revision
* Fixed: [in_mp3] Negative bitrate in File Info for long mp3's
* Fixed: [in_mp4] Glitch when modifying metadata on playing track
* Fixed: [in_mp4/libmp4v2] Memory leaks
* Fixed: [in_wave/libsndfile] Crash on invalid .au files 
* Fixed: [in_wm] Garbage characters when editing filetypes in config
* Fixed: [in_wm] Potential DRM lockup issue
* Fixed: [ml_disc] 0 byte temp files not deleted after ripping
* Fixed: [ml_disc] Double-click drive icon in Rip & Burn not selecting tree item
* Fixed: [ml_disc] Crash when using <trackartist> in playlist filename generation
* Fixed: [ml_disc] Drag+drop from Audio CD view to Playlist Editor
* Fixed: [ml_local] (no album) items adding to Album count in Artist pane
* Fixed: [ml_local] isempty and =0 queries now return same results
* Fixed: [ml_local] Add dir to 'Watch Folders' path truncated to 64 characters
* Fixed: [ml_pmp] Inserting extra period in filename when transcoding to mp4/aac
* Fixed: [ml_pmp] Sending ansi-converted titles instead of Unicode
* Fixed: [ml_pmp] Transfer caption building when Artist metadata is empty
* Fixed: [ml_wire] Subscription Updates setting always resets to 'Never'
* Fixed: [pmp_ipod] Potential incompatability issues with latest version of iTunes 
* Fixed: [pmp_p4s] 'Error In Insert' when transferring to some P4S devices
* Fixed: [pmp_usb] Slow Winamp startup when external usb drive connected 
* Fixed: [vis_milk] Milkdrop DEP incompatibility
* Misc: Winamp Remote is now an installer option (ml_orb.dll)
* Misc: Moved drawing engine out of gen_ff to tataki.dll
* Misc: Moved freetype font renderer out of gen_ff to freetype.wac
* Misc: Removed deprecated .LNG Language file support
* Misc: Removed db.w5s (replaced by new Gracenote database system)
* Misc: Removed Station Info window and Prefs page
* Misc: Removed unicows.lib/dll as we have officially dropped support for Win9x
* Updated: Gracenote MusicID/CDDB v2.5
* Updated: libpng 1.2.20
* Updated: [enc_aacplus] Coding Technologies aacPlus Encoder v8.1.0
* Updated: [gen_jumpex] JTFE v0.99.2
* Updated: [in_flac] FLAC 1.2.1
* Updated: [in_mp3] FhG Decoder v4.10
* Updated: [in_vorbis] libvorbis 1.2.0

Winamp 5.35
* Improved: Current translation support of core strings and dialogs
* Improved: Correct theming of tabbed dialogs on WinXP+
* Improved: Various misc tweaks/improvements
* Fixed: More tabbing fixes in UI and Preferences
* Fixed: [in_cdda] CDDB crash with non-English characters in user path
* Fixed: [in_cdda] Gapless playback of mix CDs with Sonic Engine
* Fixed: [in_flac] Genre field truncated in Flac Editor
* Fixed: [in_mp3] Incompatibility with musicbrainz tags
* Fixed: [in_mp3] Long stream urls truncated in Alt+3 dialog
* Fixed: [in_mp3] Tracklength not showing for mp3's with large embedded coverart
* Fixed: [in_mp4] MP4 file parsing buffer overflow vulnerability
* Fixed: [in_vorbis] Cancel button in Vorbis Editor
* Fixed: [in_vorbis] Tabbing in Vorbis Editor
* Fixed: [in_wm] Artist and Title fields reversed in WMA Editor
* Fixed: [in_wm] Crash when attempting to play malformed ASX playlists
* Fixed: [ml_local] NOTHAS and != with empty fields
* Fixed: [ml_wire] (4294967295%) in sc wire downloads
* Fixed: [ml_wire] Podcast downloading bug (uninitialized variable error)
* Fixed: [pmp_p4s] Crash on sync/transfers
* Updated: [gen_jumpex] Jump To File Extra v0.99.1b

Winamp 5.34
* New: IPv6 support
* Improved: Made installer delete in_mp3pro :/
* Improved: Embedded IE pages now run in a separate thread
* Improved: General speed and performance optimizations
* Improved: Various Media Library resize flicker fixes
* Improved: GDI+ video rendering for Windows Vista
* Improved: IPC_CONVERTFILE now uses api_decodefile (for ripping & transcoding)
* Improved: [in_wave] Added ATF support for %bitrate%
* Improved: [gen_ff] Better handling of invalid XML during skin load
* Improved: [gen_jumpex] JTFE Unicode support
* Improved: [ml_local] Composer / Album view (in Edit View, Filters tab)
* Improved: [ml_local] Unicode drag&drop and send-to support
* Improved: [ml_local] Added option for using Artist as Album Artist
* Improved: [ml_local] Updated 'Field names' in Smart View query documentation
* Improved: [ml_pmp] PMP Unicode support
* Fixed: ???? in the taskbar & system tray with Unicode titles (note that many third party plugins will cause this to revert back to ????)
* Fixed: CD Burning on Windows Vista
* Fixed: Classic skin scrollbar overlap display glitch with 'smooth resize' enabled
* Fixed: Crash on exit with docked playlist toolbar (ml_local/ml_playlists bug)
* Fixed: DirectDraw video rendering (non-overlay mode) constant redraw/flicker
* Fixed: Folder locking bug after using Open Files/Folder dialog
* Fixed: Installation of Sonic Engine on systems with other Sonic/Roxio products
* Fixed: Installer resets cwd= to the install dir
* Fixed: Redraw bug when moving external windows over Pledit
* Fixed: Tab orders in Preferences
* Fixed: Various media library accessibility/focus issues
* Fixed: Video crash when using WinKey+L
* Fixed: [enc_lame] Better output samplerate selection for transcoding
* Fixed: [enc_wav] WAVs missing first 11 samples
* Fixed: [gen_ff] Tooltips appear on primary monitor only
* Fixed: [gen_jumpex] Stability issues and key reported plugin bugs
* Fixed: [gen_ml] Keyboard focus issue
* Fixed: [gen_ml] Node alignment bug
* Fixed: [in_cdda] Long artist/albumartist CD Info bug
* Fixed: [in_cdda] Crash on Winamp exit after playing Audio CD
* Fixed: [in_cdda] CDDB crash-on-close bug
* Fixed: [in_cdda] CD-Text adds to end of cddb fields instead of clearing first
* Fixed: [in_dshow] Potential crash on corrupt/malformed media files
* Fixed: [in_dshow] Crash scanning ml folders containing videos on a network drive
* Fixed: [in_mod] .s3m and .it memory corruption bug
* Fixed: [in_mp3] Memory leak when retrieving info for .aac files
* Fixed: [in_mp3] .aac / out_wave playback glitches
* Fixed: [in_vorbis] Album tag removed when using ml 'edit selected items'
* Fixed: [in_wm] Crash when trying to burn WMA files
* Fixed: [libsndfile] matlab (.mat) memory corruption bug
* Fixed: [ml_local] Composer tag not saving with 'Edit Info'
* Fixed: [ml_local] Total size not showing up in local media views
* Fixed: [ml_local] Possible duplicate entries on upgrades after rescanning folders 
* Fixed: [ml_local] (No Album Artist) & (No Publisher) sometimes displays no results
* Fixed: [ml_local] Sorting Album pane by Year
* Fixed: [ml_local] isempty/isnotempty for querying empty/populated fields
* Fixed: [ml_local] Search broken in simple views (Win2k-specific)
* Fixed: [ml_playlists] Drag+Drop playlists to pmp devices broken 
* Fixed: [ml_pmp] Possible crash when deleting a group of songs containing non-sequential duplicates
* Fixed: [ml_pmp] "haven't" typo in prefs :-D
* Fixed: [ml_rg] ReplayGain analysis failing on mono mp3's
* Fixed: [ml_rg] Now skips over DRM WMA files instead of applying -24601 dB gain
* Fixed: [ml_transcode] Now prevents same source and destination filename
* Fixed: [ml_wire] Crash when encountering certain non-xml feeds
* Fixed: [pmp_ipod] Incompatibility with iTunes 7.1
* Fixed: [pmp_p4s] Launching Winamp on device insertion not working
* Fixed: [pmp_p4s] No longer creates .alb files on devices that don't support it
* Updated: in_vorbis to libvorbis 1.1.2 and libogg 1.1.3
* Updated: in_flac 2.0 (based on FLAC 1.1.4)
* Updated: MusicIP Mix (formerly Predixis MusicMagic) v1.1
* Updated: Sonic Ripping/Burning Engine v3.6.36.500
* Updated: [gen_jumpex] Jump To File Extra v0.99.1a

Winamp 5.33
* Improved: [gen_ml] unicode tree item title support
* Improved: [NDE] speed optimizations
* Improved: [ml_history] localized dates
* Improved: [ml_local] Unicode media library support
* Improved: [ml_playlists] now uses m3u8 to retain unicode file info
* Improved: [ml_playlists] playlists in send-to submenu
* Improved: [ml_pmp] playback-from-device of unicode filenames
* Improved: [ml_wire] moved discover page to main page
* Improved: [pmp_p4s] auto-detection of supported file formats
* Fixed: Winamp agent multi-user issue
* Fixed: playlist directory loading fix (again)
* Fixed: recursive playlist loading
* Fixed: video lockup when switching video display settings
* Fixed: HTML playlist generation
* Fixed: temp file cleanup after burning
* Fixed: Alt+L from video window
* Fixed: fullscreen video display drawing glitch
* Fixed: recursive shortcut loading
* Fixed: ASX Loader not reading local relative paths correctly
* Fixed: [gen_ml] & needs expanding to && for any menu entries showing filenames
* Fixed: [in_cdda] crash on exit when ejecting CD
* Fixed: [in_flac] not saving genres.txt in multiuser directory
* Fixed: [in_mp3] create id3v2 tag when writing album artist
* Fixed: [in_mp3] workaround for id3v2.4 tags with badly formatted frame sizes
* Fixed: [in_vorbis] writing blank metadata instead of erasing
* Fixed: [in_wave] sometimes not remembering custom extensions
* Fixed: [in_wm] stack overflow on hi-def multichannel audio with replaygain enabled
* Fixed: [in_wm] File Info editor album artist not saving
* Fixed: [ml_local] Modern skin pledit winshade 'Manage Playlist' button bug
* Fixed: [ml_local] ignoring files with ellipsis (...)
* Fixed: [ml_local] editing disc via 'edit selected items'
* Fixed: [ml_local] sorting fix
* Fixed: [ml_local] ratings menu
* Fixed: [ml_local] crash when sorting by replaygain
* Fixed: [ml_local] deadlock when retrieving title to guess metadata
* Fixed: [ml_local] no longer causes unicode files in playlist to display ?????
* Fixed: [ml_playlists] time column and 'status' in statusbar
* Fixed: [ml_playlists] send-to another playlist lists playlist file instead of contents
* Fixed: [ml_pmp] <trackartist>
* Fixed: [ml_pmp] Metadata showing as -1
* Fixed: [ml_rg] multi-channel files being calculated incorrectly
* Fixed: [ml_transcode] bad/missing metadata on transcoded files
* Fixed: [ml_transcode] error on overly long filenames ("can't open destination file")
* Fixed: [ml_wire] podcasts that change titles not updating properly
* Fixed: [pmp_p4s] mass storage devices showing as Plays For Sure devices in Vista
* Fixed: [vis_milk] multi-user issues
* Updated: [enc_aacplus] Coding Technologies aacPlus encoder 8.0.3
* Updated: [enc_flac] Flake r117
* Updated: [gen_jumpex] Jump To File Extra v0.97.11 (build 109)

Winamp 5.32
* New: [ml_local] new filters for three pane view (album artist, genre, publisher)
* New: [ml_local] option to rescan metadata for selected files
* New: [ml_transcode] Transcoding tool.  Convert your files from one format to another.
* New: [pmp_activesync] Support for Windows Mobile devices
* Improved: send-to in songticker right-click menu
* Improved: [ml_local] album artist, disc, replaygain, composer, full path columns
* Improved: [ml_local] localized dates
* Improved: [ml_local] folder browsing dialog
* Improved: [ml_rg] lower thread priority to prevent system slowdowns
* Fixed: classic skin playlist time drawing glitch
* Fixed: slow load-time with playlist of network share files
* Fixed: CD burning with Windows 98/ME
* Fixed: flickering with non-overlay video display
* Fixed: [gen_ml] treeview icons on Windows 98/ME
* Fixed: [gen_ml] modern skin docked toolbar mode not remembered 
* Fixed: [gen_ml] listview flicker reduction
* Fixed: [in_flac] crash when viewing info (alt+3) on non-existent files
* Fixed: [in_mp3] incorrect length reported with Easy CDDA Extractor encodes
* Fixed: [in_mp4] unable to play truncated M4A files
* Fixed: [in_vorbis] crash with very short files
* Fixed: [jnetlib] HTTP timeouts on streams with character 255 in HTTP headers
* Fixed: [ml_disc] CD View sometimes causing flickering of all open windows
* Fixed: [ml_history] crash when disabling & re-enabling view
* Fixed: [ml_playlists] corrupt display when scrolling
* Fixed: [ml_wire] crash when parsing podcasts with badly formed dates

Winamp 5.31
* New: [in_cdda] CD Text reading support (with sonic engine enabled)
* New: [in_flac] Nullsoft FLAC Decoder
* New: [enc_flac] Nullsoft FLAC Encoder
* Improved: [ml_disc] Smarter tagging when ripping tracks
* Improved: [in_cdda] Better CD metadata
* Improved: [in_mp3] support for reading ID3v2.4 per-frame unsynchronization
* Improved: [in_mp4] HTTP streaming support
* Improved: [in_wave] HTTP streaming support
* Improved: [in_wm] follows 24bit/mono/surround playback setting 
* Fixed: loading folders via playlists
* Fixed: Shortcut icons for multi-user installations
* Fixed: Thinger icons for old wa3 skins (filereader.w5s missing)
* Fixed: truncated text in version history
* Fixed: handling of shortcuts in folders
* Fixed: [dsp_sps] simple pitch and tempo preset (thanks ujay)
* Fixed: [gen_ff] System.playFile not working on URLs
* Fixed: [in_mp3] seek from end of file
* Fixed: [in_mp3] quality issue
* Fixed: [in_mp3] random crash when writing ID3v2 tag
* Fixed: [in_mp3] incorrect track length on concatenated MP3 files
* Fixed: [in_mp3] gapless glitch
* Fixed: [in_mp3] maximum number of redirects raised to 3 to allow playback on some podcasts with crazy php scripts
* Fixed: [in_mp3] lyrics3 security vulnerability (thanks iDefense)
* Fixed: [in_mp3] ultravox security vulnerability (thanks iDefense)
* Fixed: [in_mp3] seek problems on files with multiple id3v2 tags
* Fixed: [ml_disc] ripping discs with international titles
* Fixed: [ml_local] breaks 'always on top' for other programs
* Fixed: [ml_local] 'Use Library title information for Playlist Item Formatting' not being followed
* Fixed: [ml_local] track number showing as 4294967295 in title
* Fixed: [ml_playlists] memory leak
* Fixed: [ml_pmp/pmp_ipod/pmp_usb] 'no disc in drive' error message
* Fixed: [out_ds] logarithmic/hybrid volume control
* Fixed: [pmp_p4s] crash on 0-length tracks
* Fixed: [pmp_usb] bad xml writing

Winamp 5.3
* New: Unicode filename and title support
* New: M3U8 (Unicode) playlist support
* New: optional 24bit playback for many codecs (turn it on in Preferences->Playback)
* New: Replaygain support for MP3, AAC, Vorbis, M4A and WMA
* New: added ml views & playlists to Play-> submenu of right click popup menu
* New: added interface/x-winamp3-skin mimetype for WAL skins
* New: [ml_dash] Personalized content portal
* New: [ml_disc] optional replaygain scanning after rip (turn it on in cd ripping prefs)
* New: [ml_pmp] Transcoding. Converts incompatible files on-the-fly for your portable device.
* New: [ml_pmp] Playback now works for playsForSure and Creative NJB devices
* New: [ml_pmp] "Copy to Library" - transfer songs from any device to your local library (uses CD rip settings)
* New: [ml_pmp] Video sync support for portables
* New: [ml_rg] replaygain scanner (access via Send To menu)
* New: [pmp_ipod] gapless playback support on newer models
* New: [pmp_usb] USB drive support. Now all those thumbdrive MP3 players can work with Winamp
* Improved: fullscreen video seekbar
* Improved: ATF updates
* Improved: DC filter on spectral visualization, to remove bass bias
* Improved: preference cleanups
* Improved: faster PLS writing
* Improved: 24bit EQ support
* Improved: "Close Winamp" option after installation (after clicking 'Send')
* Improved: [enc_aacplus] Improved AAC and aacPlus encoding!
* Improved: [enc_aacplus] saves itunes/ipod-compatible gapless information
* Improved: [enc_lame] added preset medium and fast medium
* Improved: [enc_wma] VBR and lossless modes
* Improved: [gen_ff] better sample rate display
* Improved: [in_cdda] faster ripping speeds through improved buffering and multithreading
* Improved: [in_dshow] AVI metadata reading
* Improved: [in_dshow] better WAV support
* Improved: [in_mp3] 24bit MP3 playback, 64bit internal precision
* Improved: [in_mp3] streaming id3v2 support
* Improved: [in_mp3] replaygain support for MP3 playback
* Improved: [in_mp3/in_mp4] 24bit AAC playback
* Improved: [in_mp3/in_mp4] itunes-compatible gapless playback
* Improved: [in_mp3/in_mp4] mp3-in-mp4 container support
* Improved: [in_mp4] FAAC-compatible (mostly) gapless playback
* Improved: [in_wave] better outputs bits-per-sample choosing
* Improved: [ml_playlists] added missing entries from pledit context menus
* Improved: [ml_playlists] option to not show playlists in send-to menu
* Improved: [ml_pmp] Only relevant columns shown in song views
* Improved: [ml_pmp] "Getting Metadata" now much faster
* Improved: [ml_pmp] devices can now be renamed
* Improved: [ml_pmp] added progress to portables tree item (no more switching views)
* Improved: [ml_pmp] metadata guessing based on filename
* Improved: [ml_pmp] improved GUI performance
* Improved: [pmp_ipod] support for iTunesLock
* Fixed: Burning files that require resampling
* Fixed: multiple copies of Winamp when opening too many files/folders from explorer
* Fixed: freeze when exiting Winamp while minimized
* Fixed: Delay/hang when loading dead stream url's
* Fixed: crash when directdraw fails to create primary surface
* Fixed: 4x burn speed limit with Pro
* Fixed: registry handling when disassociating filetypes
* Fixed: better detection of video input plugins
* Fixed: [dsp_sps] 24 bit fix
* Fixed: [enc_aacplus] more compatible HE AAC MP4 file creation
* Fixed: [enc_lame] broken vbr presets
* Fixed: [enc_lame] 24bit input support
* Fixed: [enc_lame] bitrate lower bound on alt-presets
* Fixed: [in_cdda] CDDB lookups clearing the ENTIRE playlist cache
* Fixed: [gen_ff] layerfx not being redrawn on colortheme change
* Fixed: [gen_ff] gradient drawing glitch and crash
* Fixed: [gen_ff] custom color themes bug
* Fixed: [gen_jumpex] hang when suspending or hibernating
* Fixed: [gen_ml] tree icon fixup (divide by zero crash in ICM32.dll)
* Fixed: [in_cdda] cutoff of last few sectors
* Fixed: [in_dshow] crash when using DSP/EQ on anything bigger than 16bit stereo
* Fixed: [in_dshow] seek to key frame
* Fixed: [in_midi] truncated playback of some MIDI files
* Fixed: [in_mod] title display bug for module streams with no title
* Fixed: [in_mp3] crash when editing ID3 tags
* Fixed: [in_mp3] ID3v2 and ID3v1 Comment & Genre tags shared
* Fixed: [in_mp3] Inaccurate Time Remaining display for AAC files
* Fixed: [in_mp3] do Viz after DSP
* Fixed: [in_mp3] Icecast stream title UTF-8 support
* Fixed: [in_mp4] detection of HE AAC in file info box (Alt+3)
* Fixed: [in_wm] DRM Video playback on certain hardware
* Fixed: [in_wm] freezeup when seeking a paused wma
* Fixed: [in_wm] Hang with dead WMV link in pledit in Repeat mode
* Fixed: [in_wm] freeze when stopping streams that have rebuffered
* Fixed: [in_wm] small memory leak on each track play
* Fixed: [in_wm] Windows Media Screen Codec not playing properly
* Fixed: [ml_disc] CD ripping / playlist generation bug
* Fixed: [ml_disc] CD Ripping view showing up when clicking on other ml views
* Fixed: [ml_history] Ctrl+H shortcut
* Fixed: [ml_local] fixed crash when trying to create a new view before mldb has loaded
* Fixed: [ml_local] background scan crash when media library DB isn't loaded
* Fixed: [ml_local] scheduled background scan always starting at startup
* Fixed: [ml_online] Online Media bugfix (don't try to play NULL streams)
* Fixed: [ml_playlists] losing stream titles
* Fixed: [ml_playlists] sort by title
* Fixed: [ml_playlists] Send To from local media to ml playlist replaces instead of enqueues
* Fixed: [ml_playlists] Enqueue as default broken in left pane
* Fixed: [ml_playlists] Playlist title > rt-click > New Playlist = broken
* Fixed: [ml_playlists] tracklength bug
* Fixed: [ml_playlists] playlist paths issue
* Fixed: [ml_pmp] Transfers stalling after encountering a dupe
* Fixed: [out_ds] volume not hitting 0dB when using log or hybrid volume control
* Fixed: [pmp_ipod] Artist list on iPod not sorting "The" correctly
* Updated: Coding Technologies aacPlus Encoder 8.0.0
* Updated: [gen_ff] Freetype 2.2.1
* Updated: [gen_ff] libpng 1.2.12
* Updated: [gen_jumpex] Jump-to-File 0.97.7
* Updated: [in_wave] libsndfile 1.0.16
* Updated: [libmp4v2] MPEG4IP mp4v2 1.5
* Updated: [enc_lame] LAME 3.97b3
* Updated: Sonic Engine 3.2.40.500

Winamp 5.24
* Fixed: [in_midi] crash bug & potential security vulnerability

Winamp 5.23
* Improved: [gen_jumpex] jump-to-file speed improvements
* Fixed: playlist saving with network share files
* Fixed: Media Library preferences not loading in correct order
* Fixed: main window not hilited when restoring from minimized state in classic skin.
* Fixed: slow loading of playlists with URLs
* Fixed: CD burning using third party input plugins
* Fixed: classic skin winshade playlist time display
* Fixed: [gen_ff] Wasabi XML font-related fixes from Martin Poehlmann
* Fixed: [gen_ff] Map.getHeight() maki script function returning width instead
* Fixed: [gen_ff] winshade global hotkeys broken w/ modern skins
* Fixed: [gen_jumpex] 'Add to Queue' issues
* Fixed: [gen_jumpex] NT4 incompatability
* Fixed: [gen_jumpex] misc bug fixes
* Fixed: [gen_ml] icon changes on drag+drop items
* Fixed: [in_mp3] playback of AAC streams
* Fixed: [in_mp4] seek bug when using right arrow key
* Fixed: [in_wm] Playback restarts from beginning when editing tags of a currently playing .wma file
* Fixed: [in_wm] protocol/extension reversed in config > filetype > edit
* Fixed: [in_wm] 'Audio only' always checked for ASF/WMV in config
* Fixed: [in_wm] seek bug when using right arrow key
* Fixed: [ml_bookmarks] 'Edit Bookmarks' menu item not working when Media Library is hidden
* Fixed: [ml_local] crash while rearranging media library views
* Fixed: [ml_local] crash on close
* Fixed: [ml_local] sort arrow reversed in some columns
* Fixed: [ml_playlists] Import Playlists uses containing dir for title instead of filename
* Fixed: [ml_playlists] No "Recurse" checkbox in Import Playlists From Folder
* Fixed: [ml_playlists] Add Dir adds all filetypes (not just all-supported)
* Fixed: [ml_playlists] rt-click enqueue not working & other issues
* Fixed: [ml_playlists] Not saving playlists in some situations
* Fixed: [ml_playlists] crash when loading badly formed WPL playlists
* Fixed: [ml_playlists] drag&drop into playlist not adding to correct position
* Fixed: [ml_playlists] root playlist screen not updating when adding new playlist
* Fixed: [ml_playlists] reverting changes on send-to: playlist
* Fixed: [ml_playlists] drag+drop m3u files broken
* Fixed: [ml_pmp] Syncing duplicates finally fixed (thanks gordol)
* Fixed: [ml_pmp] Removing items from a playlist not saving issue (thanks Nick)
* Fixed: [ml_wire] some podcasts only display one item
* Fixed: [pmp_ipod] Playlist sort now works again
* Fixed: [out_ds] stop with fade (shift+v) issue
* Updated: [in_cdda] CDDB 2.0.1.25

Winamp 5.22
* New: loading of additional playlist formats: ASX/WAX/WMX/WVX, WPL, B4S
* New: [gen_ff] modern skin unicode support
* New: [in_wm] burning of DRM protected files (if allowed by content provider)
* New: [ml_pmp] transfer of playlists to portable devices
* Improved: More informative CD burning status window
* Improved: [gen_ff] modern skinning engine speed optimizations
* Improved: [gen_jumpex] jump-to-file search response
* Improved: [gen_tray] enhanced icon pack support plus more... (thanks DrO)
* Improved: [in_wm] seeking improvements
* Improved: [in_wm] gapless WMA support
* Improved: [ml_nowplaying] Redesigned 'Now Playing' media library view (it actually works now)
* Improved: [pmp_ipod] Loading times for iPods reduced
* Fixed: Winamp won't restore after being minimized with a dialog box open
* Fixed: $abbr() title formatting lockup
* Fixed: Add Folder adds tracks BEFORE the last track
* Fixed: Clicking 'Next' in Fullscreen video OSD acts like clicking it twice
* Fixed: Rating in pledit right-click context menu always shows "No Rating"
* Fixed: Stop with fadeout (Shift+V) just stops playback, no fadeout
* Fixed: CD burning bugs and crashes
* Fixed: Delete key not working in Online Services or SC Wire search
* Fixed: [gen_jumpex] handling of playlist with more than 65,536 files
* Fixed: [gen_jumpex] 'on end of queue' fixed
* Fixed: [gen_jumpex] modern skin pledit docked toolbar mode not remembered
* Fixed: [gen_jumpex] ML size/position not remembered when switching from Classic to Modern and back to Classic skin
* Fixed: [gen_jumpex] misc bug fixes
* Fixed: [gen_ml] playlists root view slowness bug
* Fixed: [gen_ml] Modern skin: Media Library > View (menu) > Devices 
* Fixed: [in_midi] corrupt header crash
* Fixed: [in_mp4] metadata writing crash
* Fixed: [in_mp4] seek bug when using right arrow key
* Fixed: [in_mp3] MPEG-2 and MPEG-2.5 Layer 3 playback crash
* Fixed: [in_mp3] Winamp crashes when trying to play any wrongly named .aac file
* Fixed: [in_wave] WAV burning fix
* Fixed: [in_wave] Locking files (wav's can't be renamed/deleted)
* Fixed: [in_wm] lockup on wma with expired/unrenewable drm license
* Fixed: [in_wm] out of sync audio/video on some WMV streams
* Fixed: [in_vorbis] fullpath shown in playlist for tagless files with atf disabled
* Fixed: [ml_pmp] Duplicates being synchronized
* Fixed: [ml_pmp] Several crashes during transfers 
* Fixed: [out_ds] Can't select different Output Device with two active instances of out_ds
* Fixed: [out_ds] incorrect enumeration of stereo outputs for two of same pro soundcard

Winamp 5.21
* New: [jnetlib] HTTP compression support
* Improved: [installer] multi-user profile migration
* Fixed: [ml_wire] memory leak
* Fixed: [pmp_p4s] DRMclien.dll error
* Fixed: [gen_ff] skin info display in preferences
* Fixed: [in_mp3] Wordwrap disabled in Info Editor Comments field
* Fixed: [in_wm] Minor bug fixes
* Fixed: Keyboard shortcuts don't work from video window
* Fixed: [in_vorbis] No Artist metadata in stream titles
* Fixed: [in_dshow] floating point audio 
* Updated: Coding Technology AAC+ Decoder 7.2.5

Winamp 5.2
* New: [ml_pmp] Synchronize your Media Library with your portable media player 
                Compatible with iPod, Creative, and Microsoft Plays For Sure devices
* New: [enc_aacplus] Coding Technologies aacPlus High Bitrate encoder available in Winamp Pro
* New: [enc_aacplus] Coding Technologies aacPlus (HE-AAC) in MP4 container
* New: [enc_aacplus] Coding Technologies LC-AAC encoder
* New: [gen_ml] icons in treeview
* New: [ml_online] Dynamic AJAX Internet Media Hub
* New: [in_nsv] Using Coding Technologies AAC playback within NSV container
* New: [in_mp3] gapless MP3 playback
* New: [installer] multi-user profile options
* New: [installer] remembers your previous installer settings
* New: [in_wave] in_wave 3.0
* New: right-to-left playlist display
* Improved: new ATF functions and tags, including:
            $repeat(x, count) - creates a string with x repeated count times
            $lpad() - same as $pad, but adds padding to the left
            $decode(...) - switch/case function.  example: $decode($fileext(%filename%),MP3,MPEG-1 Layer 3,MP4,MPEG-4 Container,Other)
            $IfStrEqual(string1,string2,result) - if string1 and string2 are equal, displays result.  case insensitive
            $IfStrEqual2(string1,string2,result,else) - if string1 and string2 are equal, displays result, otherwise displays else.  case insensitive
            %folder% - top level folder name of the file
* Improved: Stereo beat visualization for modern skins
* Improved: [gen_ff] new vis modes available to skinners
* Improved: [gen_ml] CD drive info view (Rip & Burn)
* Improved: [gen_tray] gen_tray v1.0 (thanks DrO)
* Improved: [in_midi] provides metadata to media library
* Improved: [in_mod] provides metadata to media library
* Improved: [in_mp3] unicode id3 tags
* Improved: [in_mp3] preliminary id3v2.4 support
* Fixed: broken playlist sorting
* Fixed: playlist problems with multi-line tags (e.g. %comment%)
* Fixed: shuffle with only one song in playlist
* Fixed: ghost seek slider appears if Winamp loses focus during seeking
* Fixed: video options from video window right-click context menu
* Fixed: playlist winshade international character support
* Fixed: fullscreen video display international character support
* Fixed: m3u playlist handling security vulnerability (thanks to NSFOCUS and Information Risk Management Plc)
* Fixed: [enc_lame] bit reservoir
* Fixed: [enc_lame] cutoff of last frame
* Fixed: [gen_ff] regions on components don't work
* Fixed: [gen_ff] playlist & video focus bug
* Fixed: [gen_ff] playlist winshade memory leak 
* Fixed: [gen_ff] GDI Object leak with Current Skin prefs page
* Fixed: [in_midi] not following Winamp's title formatting options
* Fixed: [in_midi] reset button blocks further access to config
* Fixed: [in_mod] not following Winamp's title formatting options
* Fixed: [in_mp3] incorrect version identification (showed 5.18 in 5.12)
* Fixed: [in_mp3] incorrect information shown for AAC+ files
* Fixed: [in_mp3] reading incorrect id3 comment tag
* Fixed: [in_mp3] sometimes failing to read last id3 frame
* Fixed: [in_mp3] id3v2 album art loss when editing tags
* Fixed: [in_mp4] loss of album art when modifying metadata
* Fixed: [in_vorbis] not following Winamp's title formatting options
* Fixed: [in_vorbis] registry usage (now multi-user profile safe)
* Fixed: [in_wave] 32bit floating point WAV playback distortion
* Fixed: [in_wm] changes made with Attribute Editor not updating in ML/Playlist
* Fixed: [vis_milk] missing files from distro (you can stop bugging us now, Rovastar :)
* Fixed: [vis_milk] 100% cpu usage when paused
* Updated: [gen_jumpex] DrO's Jump To File Extension 0.97 
* Updated: [enc_lame] LAME 3.97b2
* Updated: [gen_ff] libpng 1.2.8
* Updated: [gen_ff] FreeType 2.1.10
* Updated: [enc_aacplus] Coding Technologies aacPlus encoder v7.2.0a

Winamp 5.13
* Fixed: [in_mp3] extremely critical security vulnerability

Winamp 5.12
* New: [in_wm] Windows Media Video support (with DRM)
* New: [in_mp4] Support for HE-AAC MP4/M4A files
* Improved: lots of minor plugin improvements
* Improved: Visualization data calculations
* Improved: Significantly less playlist memory usage
* Improved: more multi-user improvements (almost there!)
* Improved: [installer] setup options, saved settings, codec downloading
* Improved: [gen_ff] optimized skinning engine
* Improved: [out_disk] new features
* Improved: [in_cdda] playback/ripping with sonic engine
* Fixed: freezing when cancelling cd burn
* Fixed: video scaling bug (with modern skin scaling < 100%)
* Fixed: minor installer bugs
* Fixed: freeze when loading classic skin with main window hidden
* Fixed: Visualizations for 24bit and 32bit songs
* Fixed: Advanced Title Formatting with Japanese, Chinese and Korean metadata (thanks mrym)
* Fixed: [in_mp3] raw AAC VBR file seeking and bitrate reporting
* Fixed: [in_mp4] unicode metadata writing 
* Fixed: [in_wm/in_dshow] mms:// streaming video playback
* Fixed: [in_cdda] audio cd bitrate display
* Fixed: [in_cdda] Sonic engine on 64bit windows (thanks STanger)
* Fixed: lots of small bugs ...
* Updated: Sonic CD Engine 2.2.50
* Updated: libmp4v2 1.4.1
* Updated: Coding Technology AAC+ Decoder 7.2.0

Winamp 5.111
* Fixed: works with internet explorer 3.0 again (old win95/nt3.51)
* Fixed: Auto-Preset EQ crash (non-mp3 files)
* Fixed: $upper, $caps, $caps2 crash with foreign characters
* Fixed: Station Info crash (with http filtering program)
* Fixed: empty playlist bugs
* Fixed: [in_mp3] proxy ignored when ‘only port 80’ was checked
* Fixed: [in_midi] lyrics not working

Winamp 5.11
* Updated: LAME 3.96.1
* Fixed: playlist focus issue after adding files to playlist
* Fixed: crash on multichannel songs with EQ enabled
* Fixed: internet connection detection not working when set to "dial-up"
* Fixed: manual playlist advance with Winamp videos
* Fixed: EQ text display glitch
* Fixed: video not filling up video window
* Fixed: black bars in fullscreen video
* Fixed: [gen_ml] crash with no write access
* Fixed: [gen_ml] CDDB Dialog Media Library drawing glitch
* Fixed: [in_dshow] seeking on files with no video or no audio
* Fixed: [in_cdda] aspi ripping crash
* Fixed: [ml_wire] "my music" folder creation
* Fixed: [ml_wire] Podcasts with dates before 1970 handled properly
* Fixed: [ml_wire] Downloading of podcasts with parameters in URL
* Fixed: [out_ds] fade-on-seek settings
* Fixed: [in_wm] pause glitch
* Fixed: [in_mp4] view-file-info filename not scrolling
* Coming Soon: Multi-user profile support (preliminary support enabled)

Winamp 5.1 Surround Edition
* New: CodingTechnologies AACPlus encoder! 
	The MP3 Killer! 
	Awesome at low bitrates too!
* New: Grand Prize Winner of the Internet Surround Music Project!
	KAJE - Hey Buddy (featuring Afrika Bambaataa)
* New: SHOUTcast Wire - A Media RSS Browser and Subscription Service
* New: Predixis Smart Playlist Generator 
	(Mix your tracks based on what they sound like!)
* New: AOL Radio featuring (((XM))) Free Sampler!
* New: CD Ripping now available at 8x in free version!
* New: Microsoft WMA encoder
* New: Over 200 new Milkdrop presets!
* Update: in_vorbis now returns bitrate in getextendedfileinfo
* Fixed: WMA stuttery playback
* Fixed: out_ds copy button on status tab now works all the time
* Fixed: Much improved ripping and playback with Sonic engine
* Fixed: Video window now resizable regardless of Sidecar
* Fixed: Length of long mp3's now reported properly 
* Fixed: Silent install switch now works properly
* Fixed: Simultaneous CD Playback and Ripping 

Winamp 5.094
* New: in_wm now handles bitrate and length extended info
* New: New random number generation for playlist shuffle
* Fixed: Security vulnernability in id3v2 tags (thanks to LSS Security)
* Fixed: Winamp now shuffles playlists larger than 32,768 songs
* Fixed: Fade on start now behaves properly
* Fixed: separate directsound settings with multiple instances
* Fixed: Winamp now supports adding URLs longer than 260 characters.
* Fixed: Editing files created in iTunes no longer causes corruption.
* Fixed: Length of long mp3's now reported properly
* Fixed: gen_jumpex no longer crashes when DEP is enabled
* Fixed: Sort selections in media library are now remembered.
* Fixed: Album names with non-alphanumeric characters behave better
* Fixed: Fixed intermittent crash on seeking for some users
* Updated: libmp4v2.dll

Winamp 5.093
* Fixed: OSD stays onscreen in DirectDraw Mode
* Fixed: Fullscreen video OSD doesn't reappear after using Pause
* Fixed: ML Playlist > Select all (no delete key)
* Fixed: Vis data for in_mod (and possibly other input plugins)
* Fixed: msvcp60.dll now linked static
* Fixed: Small  intermittent bugs in gen_ml and gen_ff
* Fixed: Greater than 2 channel vis data now works
* Fixed: Media Library problems with parentheses/brackets in artist or album names
* Fixed: Ripping CDs with trailing ellipses (...) in artist or album name
* Fixed: Better video flipping for YUV colorspace videos
* Fixed: Saved mute settings with modern skin.
* Fixed: Drag and Drop from external applications
* Fixed: Open File Dialog always-on-top
* Fixed: Crossfade on start
* Fixed: Freeze when switching audio tracks in a multi-audio stream.
* Fixed: Fullscreen switching with scaled video window.
* Update: Dynamic Online Media can now alert users to live events(can disable).

Winamp 5.092
* New: DRM WMA Playback supports out_wave
* New: Non-DRM WMA Playback allows any output plugin
* New: Community Picks AVS Preset Pack
* New: Deletes in the Media Library now move files to the Recycle Bin
* New: NSV Subtitles can be disabled on the fly
* Fixed: Long delay and high cpu on exit with many items in playlist
* Fixed: gen_ml shutdown bug
* Fixed: Easy Move of video window back to normal
* Fixed: Pause in WMA playback memory leak
* Fixed: Multi-monitor full screen video
* Fixed: Drag and Drop in playlist editor
* Fixed: Drag and Drop on Winamp
* Fixed: Now Playing update on song change
* Fixed: Media Library/Windows Media scanning errors
* Fixed: Stay in fullscreen/Config mismatch
* Fixed: Ctrl-B Crash
* Fixed: Authentication for OGG/Vorbis streams
* Fixed: Drag and Drop strange behavior in open file dialogs
* Fixed: Stuttering WMA On Start and Seek
* Fixed: NSV Video stall during buffering
* Fixed: Autosize of video to be accurate to the Video size not snap size
* Fixed: Short NSV Clips audio cutout
* Update: Online Media tree is now dynamic (Checking can now be disabled)
* Update: Sonic Install/Config flag mismatch
* Update: CD Ripping/Burning Library (possible cause of msvcrt.dll errors)

Winamp 5.08
* Updated Windows Media DRM License
* Fixed playFile function in gen_ff.dll (Allows Modern skins to launch playback)
* Created new eMusic bundles
* Critical Security bug fixed in in_mp4.dll and enc_mp4.dll and libmp4v2.dll
* HTTP Seeking corrected for webservers that refuse to return Accept-Range
* Critical Security buffer overflow fixed in in_cdda.dll

Winamp 5.07
* Critical Security bug fixed in in_cdda.dll and .m3u handler
* in_mp3 & in_nsv should work on Win95 again
* Proxy settings work again
* Installer fixed so that read_file.dll is installed always with mod support
* Version number should be properly reported by IPC_GETVERSION for this build

Winamp 5.06
* Fixed crashbug when clearing the playlist and then right clicking on the songticker
* Security bug fixes
* Lots of small bugfixes
* JTFE v0.96ff

Winamp 5.05
* Security bug fix
* Fix for upside down videos through DirectShow
* JTFE v0.96c
* Added prompt when loading a skin for the first time

Winamp 5.04
* JTFE v0.96
* Added Coding Technologies' AACPlus decoder
* fixed deletion of temporary generated WAV files after a burning process on some 
  computers
* fixed typo in some context menu shortcuts
* fixed slowness IPC bug caused by gen_hotkeys
* added "clear" button in internet radio/tv views
* added screenshots of classic/modern mode in installer
* fixed MP3 bitrate calculation (in_mp3 was reporting incorrect lengths on some MP3s)
* fixed incorrect length reporting on long WMA files
* better fix for pledit/video windows showing up at startup when minimized
* fixed db text bug when moving EQ sliders
* upgraded MP3 encoding to LAME v3.96
* fixed crash in WMA playback when using WMA v8 codecs
* updated default streaming values in in_nsv
* added Winamp.com Audio&Video views in the Media Library
* fixed tiny memory leak in in_cdda
* added right click context menu on "Now Playing" item in Media Library
* added script/ActiveX disabling for Media Library's minibrowser (on by default)
* fixed memory leak on MP3 files with messed up ID3v2 tags
* fixed visualization when playing CD tracks
* fixed proxy user:pass@server:port string getting cut when playing Shoutcast streams
* made in_dshow not to handle mms:// streams ending with .wma
* fixed %tracknumber% tag for CD tracks
* fixed some crash bugs in in_mp4
* fixed playlist generation when ripping full CDs
* added "import playlist from folder" in Media Library
* updated Media Library preferences screens
* added new SPS presets from Cockos, Inc. (pitch shifters, etc...)
* added basic streaming (download) support for M4A/MP4 HTTP streams
* added monitoring of fullscreen apps, disables always on top temporarilly
* added IPC_IS_WNDSHADE
* added gen_ml rating ipcs
* added ratings from playlist context menu (acts on selected entries)
* added ratings from song ticker context menu (acts on current track)
* added rating hotkeys in gen_hotkey
* fixed saving read-only playlists
* fixed double separator lines in gen_ml id3less item context menu
* fixed refresh of view losing query after removing dead files & background scan
* added escaping of ", ', [ and ] in ml queries : uses %HH where HH is the hex char 
  code (uses %% for '%')
* added sdk support for multiple audio/video tracks in video input plugins (see wa_ipc.h
  for ITrackSelector class)
* added multiple audio avi support (right click video window, select "Audio Tracks")
* fixed multimonitor problem when toggling a windowshade on one monitor while playing
  a fullscreen video on the other
* added ML_IPC_EDITQUERY and ML_IPC_EDITVIEW
* fixed pledit drawing bug under winxp/cleartype
* fixed crash in id3 reading of zero byte files
* fixed crash in sps when exiting Winamp before closing the open/save dialog
* added IPC_PUSH_DISABLE_EXIT, IPC_POP_DISABLE_EXIT and IPC_IS_EXIT_ENABLED
* fixed gen_ml crash when inserting item with length -1
* made gen_ml much more resistant to databases that have been corrupted
* fixed ml nuke
* added disabling of "keep on screen" option when going into a different resolution 
  because of a fullscreen application (ie: a game)
* made ui:preferences global hotkey open the prefs to the previously opened page
* fixed a few preferences cosmetic 'bugs'
* modern skin updates :
  - fixed windowshade repeat-track button state
  - fixed scaling docked toolbars
  - fixed 5.03 assert on deletion of newGroupAsLayout()
  - fixed floating video windows coordinates dropping to 0,0
  - fixed auto opaque when layouts are loaded already docked as toolbars
  - fixed fadein/fadeout not used on notification window when linking all normal windows' 
    alpha
  - fixed docked toolbars moving when some other window docked to them switches to an 
    alternative layout
  - fixed silent crash on shutdown when pledit is docked as toolbar and gen_ml unloads 
    before gen_ff (would not remember settings from session to session)
  - fixed snap points
  - fixed click on +12db / 0db / -12db
  - optimized text scrolling (a lot)
  - fixed content of pledit not painting in some instances
  - gen_hotkeys are now routed thru System.onKeyDown(name), where name is the name of 
    the hotkey prefixed by "HOTKEY: " (ie: "HOTKEY: Playback: Play"). You may issue a
    complete; statement to prevent gen_hotkey from handling the hotkey
  - fixed horizontal resize of main window with video/vis drawer closed
  - added auto-height for next drawer opening when resizing main window with video/vis 
    drawer closed, this avoids having an unreasonably tall drawer open if you just 
    watched a video in a big window and then only resized the player back to its 
    horizontal minimum after the video had closed. auto-height resets to 4:3 
    proportions
  - fixed docking bug when using snapadjustleft
  - fixed buggy calculation of time display default width conflicting with right text alignment
  - fixed windows moving after changing screen resolution
  - fixed rare always on top desync with classic skins

Winamp 5.03
* added eMusic trial offer to installer.  uninstaller included in Program Files\Winamp\eMusic
* made MP4 AAC the new default ripping encoder
* fixed a crash bug when playing some AVI files in in_dshow
* added multimedia keyboard keys in global hotkeys default configuration
* added "Manual playlist advance" in Repeat button popup menu in Classic mode
* improvements in MP3 encoder configuration (added --alt-preset standard, etc...)
* made the tabs in the preferences XP correctly themed under Windows XP
* revamped the Media Library preferences a bit
* new experimental WMA9 input plugin
* gen_jumpex updates from DrO
* added "Nuke library" action in Media Library
* more upside down videos fixes
* fixed crash if a plugin generated a pledit wm_windowposchanged on shutdown
* fixed crash exploit in in_mod (thanks Peter Winter-Smith)
* fixed various crashes in in_midi when playing invalid files
* made in_midi store its settings in winamp.ini instead of the registry
* fixed error during installation on computers with chinese/oriental regional settings
* removed AOD from installer
* added Shift-R to toggle manual playlist advance
* updated VP6 video decoder to latest VP6.2 code
* fixed crash when launching Winamp with very long filenames from explorer
* made registration dialog to appear in Explorer's taskbar when installing pro version
* fixed pledit/video windows showing up at startup when minimized
* modern skins updates :
  - Winamp modern skin now uses a 3 state repeat button: no repeat/repeat all/repeat track
  - added appplication desktop toolbars capabilities for layouts, add 
      appbar="left|top|right|bottom" to use them
  - upped maki binary version, improved stack protection
  - current skin version number is 1.2 (this should not change for a long while now, and 
    of course we continue to support 0.8 to 1.1)
  - (very) limited maki debugger (for now you can bring it up with invokeDebugger(); in a 
    script then use 'x' to continue and 'i' to trace into)
  - fixed obscure capture problem with dragging windows
  - fixed rectrgn being forced to 1 in xml xuiobject buttons that are originally imageless
  - fixed hilited state not on after clicking on buttons while the mouse stays in area
  - fixed scripted onEnterArea/onLeaveArea not being always correctly called while mouse 
    button stays down
  - fixed getToken being passed NULL throwing guru
  - fixed clipping of painting within the background's region of a group rather than 
    within the composed region (the one you can change with sysregion)
  - fixed image cache problem when using the same bitmap as a map and a button image 
    parameter

Winamp 5.02
* added a couple of gen_ml APIs
* fixed gen_ml radio/tv cache clearing after viewing prefs bug
* made gen_ml radio/tv keep old data when updating fails, made it not update when no
  internet is available
* made gen_ml support some new quicksearch syntaxes: "* beck radiohead"
  will list all things matching beck OR radiohead, and:
    radiohead "<lastplay > [3 days ago]>" will show all things matching radiohead
    played in the last 3 days...
* gen_ml option for any/all guess modes
* made SPS support 24 bit samples
* added priority setting for CD ripping
* made CD ripping only support one rip at at time
* added send to -> add to library for playlist (and other) send to menus.
* better media library audio view support for no artist/no album
* fixed enter after info box and popup menus in library
* moved litestep options to be in classic skin prefs
* fixed playlist editor classic redraw bug, made playlist handle mousewheel scrolling while
  moving items better.
* made "EXE" filetype extension non registerable :)
* cleaned up "disable screensaver when video is playing" option
* latest SDKs available (AVS, Media library, new Winamp IPC calls, etc...)
* upgraded to Gracenote CDDB v2 DLLs
* improvements in gen_hotkeys
* upgraded MP3 encoding to LAME v3.95.1
* out_ds now uses winamp.ini instead of registry for settings
* new fix for upside down videos in in_dshow
* added OGM as supported extension in in_dshow
* modern skins updates :
  - optimized region a bit
  - fixed handling of global alpha for unparented layouts
  - fixed tiny bug in keypress flow
  - fixed potential layer capture cancellation issue
  - fixed crash when quickly alternating alt+g and alt+w
  - fixed player not coming up to front when playing a video via external URL click
  - fixed assertion when arial.ttf (or whatever fallback font has been set) is not present in the font directory
  - fixed faulty skin font unmapping sometimes conflicting with fallback to os default gui font
  - added date and version functions to maki
  - added added timerhours="1" to text object to show 1:00:00 instead of 60:00
  - added timeroffstyle 3 and 4 to text object to display "0:00:00" and " :  :  "
  - upped skin version to 1.1 - you MUST use 1.1 if you recompile your scripts
  - updated maki compiler (http://bluemars.org/maki) :
    - added stack protection to maki binaries - upped the binaries version header
    - added self version check in maki binaries
    - non-existing (future) maki functions will not crash the maki runtime anymore, YAY
    - fixed unknown maki functions return values
  - fixed Winamp appearing on secondary taskbar with ultramon regardless of true position
  - fixed extraneous invalidations
* new extended jump file dialog (thanks to Darren Owen)
* added basic MP4 AAC encoding/decoding (thanks to Menno Bakker for the help)
* fixed unicode metadata in in_vorbis
* fixed crash in installer code
* removed generation of "badframes.stt" files in VP6 decoder
* <3 farewell Justin <3

Winamp 5.01
* fixed gen_ml selection bug
* added gen_ml option for no guessing at all
* made AVS and SPS support loop() in user code
* made AVS support megabuf() in user code
* made pro installer not prompt for regkey if already valid
* improved font directory retrieval in gen_ff
* added content rating system in Internet TV's listing
* added bandwidth usage statistic in Internet Radio/TV listings
* made media library guess from filename only when NO metadata found
* added seperate recent items tracking options for files/streams
* made installer better handle installing wa5 directly over wa3.
* added milkdrop docs to installer
* made uninstaller not remove Winamp directory if not empty (user is now required to do so manually to avoid people going "oops")
* made installer check sonic px.dll versions and prompt for reboot accordingly
* fixed nsv metadata querying bugs
* fixed gen_ml guessing bugs for files with metadata that are not in DB

Winamp 5.0
* Support for classic Winamp 1.x/2.x/2.9x skins and Winamp 3 ("Modern") skins
* Fancy new modern skin:
   - Integrated video, AVS, and Milkdrop support
   - Many built-in colorthemes
* Same ol' classic skin for people who want the Winamp 2 feel
* Vastly more powerful media library:
   - Automatic background directory scanning options
   - Customizable views and columns, graphical view editor
   - Internet Radio (SHOUTcast) and TV listings 
   - Context-sensitive item info viewer
* CD ripping support (AAC@2x in free version, MP3 at unlimited speeds in pro)
* CD burning support (limited to 2x in free version)
* Advanced title formatting logic for file types that support it
* Huge AVS updates:
   - New effects, bundled some popular 3rd party APEs
   - A much better selection of default presets
   - Experimental SMP support
   - Full AVS preset subdirectory support
   - Extensions and optimizations to the AVS evaluation library
* Support for playback of AAC and VP6 in NSV files/streams
* Global hotkey support
* new Signal Processing Studio DSP plug-in
* Options to disable plugin exception handling for developers
* A ton of new plug-in API calls (SDK forthcoming)
* fixed changing-systray options while minimized bug
* new Winamp icon
* added XP Manifest.xml to winamp.exe
* made agent icon use configured Winamp system tray icon
* optimized Winamp's load titles on demand logic, made faster
* made Winamp's internal submenu management more reliable
* added skin font override preferences
* added spacebar shows current playlist item in playlist editor
* fixed manual playlist advance w/ repeat
* made Winamp's open directory recurse checkbox nicer looking
* big prefs overhaul to make steve happy
* huge thanks to Amir Szekely and the rest of the NSIS developers for their help